#include <phonon_includes.h>

#include <smoke.h>
#include <phonon_smoke.h>

namespace __smokephonon {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //Phonon::AbstractAudioOutput
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::AbstractAudioOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AbstractAudioOutput*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::AbstractAudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
        default: return xptr;
      }
    case 3:   //Phonon::AbstractAudioOutputPrivate
      switch(to) {
        case 3: return (void*)(Phonon::AbstractAudioOutputPrivate*)xptr;
        default: return xptr;
      }
    case 4:   //Phonon::AbstractMediaStream
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::AbstractMediaStream*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)xptr;
        default: return xptr;
      }
    case 5:   //Phonon::AbstractMediaStreamPrivate
      switch(to) {
        case 5: return (void*)(Phonon::AbstractMediaStreamPrivate*)xptr;
        default: return xptr;
      }
    case 6:   //Phonon::AbstractVideoOutput
      switch(to) {
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AbstractVideoOutput*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(Phonon::AbstractVideoOutput*)xptr;
        default: return xptr;
      }
    case 7:   //Phonon::AbstractVideoOutputPrivate
      switch(to) {
        case 7: return (void*)(Phonon::AbstractVideoOutputPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //Phonon::AudioDataOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioDataOutput*)xptr;
        case 59: return (void*)(QObject*)(Phonon::AudioDataOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AudioDataOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)xptr;
        default: return xptr;
      }
    case 9:   //Phonon::AudioOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioOutput*)xptr;
        case 59: return (void*)(QObject*)(Phonon::AudioOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 10:   //Phonon::BackendCapabilities::Notifier
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::BackendCapabilities::Notifier*)xptr;
        case 10: return (void*)(Phonon::BackendCapabilities::Notifier*)xptr;
        default: return xptr;
      }
    case 12:   //Phonon::Effect
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::Effect*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::Effect*)xptr;
        case 12: return (void*)(Phonon::Effect*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::Effect*)xptr;
        default: return xptr;
      }
    case 13:   //Phonon::EffectParameter
      switch(to) {
        case 13: return (void*)(Phonon::EffectParameter*)xptr;
        default: return xptr;
      }
    case 14:   //Phonon::EffectPrivate
      switch(to) {
        case 14: return (void*)(Phonon::EffectPrivate*)xptr;
        default: return xptr;
      }
    case 15:   //Phonon::EffectWidget
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::EffectWidget*)xptr;
        case 59: return (void*)(QObject*)(Phonon::EffectWidget*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)xptr;
        default: return xptr;
      }
    case 16:   //Phonon::MediaController
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::MediaController*)xptr;
        case 16: return (void*)(Phonon::MediaController*)xptr;
        default: return xptr;
      }
    case 17:   //Phonon::MediaNode
      switch(to) {
        case 17: return (void*)(Phonon::MediaNode*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::MediaNode*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::MediaNode*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::MediaNode*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::MediaNode*)xptr;
        case 12: return (void*)(Phonon::Effect*)(Phonon::MediaNode*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::MediaNode*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)(Phonon::MediaNode*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(Phonon::MediaNode*)xptr;
        default: return xptr;
      }
    case 18:   //Phonon::MediaNodePrivate
      switch(to) {
        case 18: return (void*)(Phonon::MediaNodePrivate*)xptr;
        default: return xptr;
      }
    case 19:   //Phonon::MediaObject
      switch(to) {
        case 59: return (void*)(QObject*)(Phonon::MediaObject*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::MediaObject*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 20:   //Phonon::MediaSource
      switch(to) {
        case 20: return (void*)(Phonon::MediaSource*)xptr;
        default: return xptr;
      }
    case 21:   //Phonon::MediaSourcePrivate
      switch(to) {
        case 21: return (void*)(Phonon::MediaSourcePrivate*)xptr;
        default: return xptr;
      }
    case 22:   //Phonon::Mrl
      switch(to) {
        case 71: return (void*)(QUrl*)(Phonon::Mrl*)xptr;
        case 22: return (void*)(Phonon::Mrl*)xptr;
        default: return xptr;
      }
    case 23:   //Phonon::ObjectDescriptionData
      switch(to) {
        case 65: return (void*)(QSharedData*)(Phonon::ObjectDescriptionData*)xptr;
        case 23: return (void*)(Phonon::ObjectDescriptionData*)xptr;
        default: return xptr;
      }
    case 24:   //Phonon::ObjectDescriptionModelData
      switch(to) {
        case 24: return (void*)(Phonon::ObjectDescriptionModelData*)xptr;
        default: return xptr;
      }
    case 25:   //Phonon::ObjectDescriptionPrivate
      switch(to) {
        case 25: return (void*)(Phonon::ObjectDescriptionPrivate*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::Path
      switch(to) {
        case 26: return (void*)(Phonon::Path*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::SeekSlider
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::SeekSlider*)xptr;
        case 59: return (void*)(QObject*)(Phonon::SeekSlider*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::StreamInterface
      switch(to) {
        case 28: return (void*)(Phonon::StreamInterface*)xptr;
        default: return xptr;
      }
    case 29:   //Phonon::VideoPlayer
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::VideoPlayer*)xptr;
        case 59: return (void*)(QObject*)(Phonon::VideoPlayer*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Phonon::VideoWidget
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::VideoWidget*)xptr;
        case 59: return (void*)(QObject*)(Phonon::VideoWidget*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::VideoWidget*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::VideoWidget*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 31:   //Phonon::VideoWidgetPrivate
      switch(to) {
        case 31: return (void*)(Phonon::VideoWidgetPrivate*)xptr;
        default: return xptr;
      }
    case 32:   //Phonon::VolumeFaderEffect
      switch(to) {
        case 12: return (void*)(Phonon::Effect*)(Phonon::VolumeFaderEffect*)xptr;
        case 59: return (void*)(QObject*)(Phonon::VolumeFaderEffect*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::VolumeFaderEffect*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)xptr;
        default: return xptr;
      }
    case 33:   //Phonon::VolumeSlider
      switch(to) {
        case 74: return (void*)(QWidget*)(Phonon::VolumeSlider*)xptr;
        case 59: return (void*)(QObject*)(Phonon::VolumeSlider*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractListModel
      switch(to) {
        case 59: return (void*)(QObject*)(QAbstractListModel*)xptr;
        case 34: return (void*)(QAbstractListModel*)xptr;
        default: return xptr;
      }
    case 35:   //QActionEvent
      switch(to) {
        case 35: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QBool
      switch(to) {
        case 36: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 37:   //QByteArray
      switch(to) {
        case 37: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 38:   //QChildEvent
      switch(to) {
        case 38: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QCloseEvent
      switch(to) {
        case 39: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QContextMenuEvent
      switch(to) {
        case 40: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragEnterEvent
      switch(to) {
        case 41: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDragLeaveEvent
      switch(to) {
        case 42: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDragMoveEvent
      switch(to) {
        case 43: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDropEvent
      switch(to) {
        case 44: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QEvent
      switch(to) {
        case 45: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QFocusEvent
      switch(to) {
        case 46: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QFont
      switch(to) {
        case 47: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 49:   //QHideEvent
      switch(to) {
        case 49: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QIODevice
      switch(to) {
        case 59: return (void*)(QObject*)(QIODevice*)xptr;
        case 50: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 51:   //QImage
      switch(to) {
        case 51: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 52:   //QInputMethodEvent
      switch(to) {
        case 52: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QKeyEvent
      switch(to) {
        case 53: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QMetaObject
      switch(to) {
        case 54: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 55:   //QMimeData
      switch(to) {
        case 55: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 56:   //QModelIndex
      switch(to) {
        case 56: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 57:   //QMouseEvent
      switch(to) {
        case 57: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QMoveEvent
      switch(to) {
        case 58: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QObject
      switch(to) {
        case 59: return (void*)(QObject*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)(QObject*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)(QObject*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(QObject*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(QObject*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(QObject*)xptr;
        case 12: return (void*)(Phonon::Effect*)(QObject*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(QObject*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)(QObject*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)(QObject*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)(QObject*)xptr;
        case 16: return (void*)(Phonon::MediaController*)(QObject*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(QObject*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)(QObject*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEngine
      switch(to) {
        case 60: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEvent
      switch(to) {
        case 61: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QPalette
      switch(to) {
        case 62: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 63:   //QRegExp
      switch(to) {
        case 63: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 64:   //QResizeEvent
      switch(to) {
        case 64: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QSharedData
      switch(to) {
        case 65: return (void*)(QSharedData*)xptr;
        case 23: return (void*)(Phonon::ObjectDescriptionData*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 66:   //QShowEvent
      switch(to) {
        case 66: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QSize
      switch(to) {
        case 67: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 68:   //QStyle
      switch(to) {
        case 68: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 69:   //QTabletEvent
      switch(to) {
        case 69: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QTimerEvent
      switch(to) {
        case 70: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QUrl
      switch(to) {
        case 71: return (void*)(QUrl*)xptr;
        case 22: return (void*)(Phonon::Mrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 72:   //QVariant
      switch(to) {
        case 72: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 73:   //QWheelEvent
      switch(to) {
        case 73: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QWidget
      switch(to) {
        case 59: return (void*)(QObject*)(QWidget*)xptr;
        case 74: return (void*)(QWidget*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)(QWidget*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)(QWidget*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)(QWidget*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)(QWidget*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    59, 17, 0,	// 1: QObject, Phonon::MediaNode
    59, 0,	// 4: QObject
    17, 0,	// 6: Phonon::MediaNode
    2, 0,	// 8: Phonon::AbstractAudioOutput
    74, 0,	// 10: QWidget
    71, 0,	// 12: QUrl
    65, 0,	// 14: QSharedData
    74, 6, 0,	// 16: QWidget, Phonon::AbstractVideoOutput
    12, 0,	// 19: Phonon::Effect
};

// These are the xenum functions for manipulating enum pointers
void xenum_Phonon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__EffectParameter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VolumeFaderEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__Capture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaSource(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__AudioDataOutput(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Phonon(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractAudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractMediaStream(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractVideoOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioDataOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Capture(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Effect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectParameter(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaController(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaNode(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaObject(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaSource(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Mrl(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionModelData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Path(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__SeekSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__StreamInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeFaderEffect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Phonon", false, 0, xcall_Phonon, xenum_Phonon, Smoke::cf_namespace, 0 },	//1
    { "Phonon::AbstractAudioOutput", false, 1, xcall_Phonon__AbstractAudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractAudioOutput) },	//2
    { "Phonon::AbstractAudioOutputPrivate", true, 0, 0, 0, 0, 0 },	//3
    { "Phonon::AbstractMediaStream", false, 4, xcall_Phonon__AbstractMediaStream, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractMediaStream) },	//4
    { "Phonon::AbstractMediaStreamPrivate", true, 0, 0, 0, 0, 0 },	//5
    { "Phonon::AbstractVideoOutput", false, 6, xcall_Phonon__AbstractVideoOutput, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::AbstractVideoOutput) },	//6
    { "Phonon::AbstractVideoOutputPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "Phonon::AudioDataOutput", false, 8, xcall_Phonon__AudioDataOutput, xenum_Phonon__AudioDataOutput, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioDataOutput) },	//8
    { "Phonon::AudioOutput", false, 8, xcall_Phonon__AudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioOutput) },	//9
    { "Phonon::BackendCapabilities::Notifier", true, 0, 0, 0, 0, 0 },	//10
    { "Phonon::Capture", false, 0, xcall_Phonon__Capture, xenum_Phonon__Capture, Smoke::cf_namespace, 0 },	//11
    { "Phonon::Effect", false, 1, xcall_Phonon__Effect, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::Effect) },	//12
    { "Phonon::EffectParameter", false, 0, xcall_Phonon__EffectParameter, xenum_Phonon__EffectParameter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::EffectParameter) },	//13
    { "Phonon::EffectPrivate", true, 0, 0, 0, 0, 0 },	//14
    { "Phonon::EffectWidget", false, 10, xcall_Phonon__EffectWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::EffectWidget) },	//15
    { "Phonon::MediaController", false, 4, xcall_Phonon__MediaController, xenum_Phonon__MediaController, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaController) },	//16
    { "Phonon::MediaNode", false, 0, xcall_Phonon__MediaNode, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::MediaNode) },	//17
    { "Phonon::MediaNodePrivate", true, 0, 0, 0, 0, 0 },	//18
    { "Phonon::MediaObject", false, 1, xcall_Phonon__MediaObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaObject) },	//19
    { "Phonon::MediaSource", false, 0, xcall_Phonon__MediaSource, xenum_Phonon__MediaSource, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::MediaSource) },	//20
    { "Phonon::MediaSourcePrivate", true, 0, 0, 0, 0, 0 },	//21
    { "Phonon::Mrl", false, 12, xcall_Phonon__Mrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Mrl) },	//22
    { "Phonon::ObjectDescriptionData", false, 14, xcall_Phonon__ObjectDescriptionData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionData) },	//23
    { "Phonon::ObjectDescriptionModelData", false, 0, xcall_Phonon__ObjectDescriptionModelData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionModelData) },	//24
    { "Phonon::ObjectDescriptionPrivate", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::Path", false, 0, xcall_Phonon__Path, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Path) },	//26
    { "Phonon::SeekSlider", false, 10, xcall_Phonon__SeekSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::SeekSlider) },	//27
    { "Phonon::StreamInterface", false, 0, xcall_Phonon__StreamInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::StreamInterface) },	//28
    { "Phonon::VideoPlayer", false, 10, xcall_Phonon__VideoPlayer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoPlayer) },	//29
    { "Phonon::VideoWidget", false, 16, xcall_Phonon__VideoWidget, xenum_Phonon__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoWidget) },	//30
    { "Phonon::VideoWidgetPrivate", true, 0, 0, 0, 0, 0 },	//31
    { "Phonon::VolumeFaderEffect", false, 19, xcall_Phonon__VolumeFaderEffect, xenum_Phonon__VolumeFaderEffect, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeFaderEffect) },	//32
    { "Phonon::VolumeSlider", false, 10, xcall_Phonon__VolumeSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeSlider) },	//33
    { "QAbstractListModel", true, 0, 0, 0, 0, 0 },	//34
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QBool", true, 0, 0, 0, 0, 0 },	//36
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//37
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QFont", true, 0, 0, 0, 0, 0 },	//47
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//48
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//50
    { "QImage", true, 0, 0, 0, 0, 0 },	//51
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//54
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//55
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//56
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QObject", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QPalette", true, 0, 0, 0, 0, 0 },	//62
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//63
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//65
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QSize", true, 0, 0, 0, 0, 0 },	//67
    { "QStyle", true, 0, 0, 0, 0, 0 },	//68
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QUrl", true, 0, 0, 0, 0, 0 },	//71
    { "QVariant", true, 0, 0, 0, 0, 0 },	//72
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QWidget", true, 0, 0, 0, 0, 0 },	//74
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Phonon::AbstractAudioOutput*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Phonon::AbstractAudioOutputPrivate&", 3, Smoke::t_class|Smoke::tf_ref },	//2
    { "Phonon::AbstractMediaStream*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Phonon::AbstractMediaStreamPrivate&", 5, Smoke::t_class|Smoke::tf_ref },	//4
    { "Phonon::AbstractVideoOutput*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Phonon::AbstractVideoOutputPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//6
    { "Phonon::AudioCaptureDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "Phonon::AudioCaptureDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Phonon::AudioChannelType", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "Phonon::AudioDataOutput*", 8, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Phonon::AudioDataOutput::Channel", 8, Smoke::t_enum|Smoke::tf_stack },	//11
    { "Phonon::AudioOutput*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Phonon::AudioOutputDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "Phonon::AudioOutputDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "Phonon::BackendCapabilities::Notifier*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Phonon::Capture::DeviceType", 11, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Phonon::CaptureCategory", 1, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Phonon::Category", 1, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Phonon::DiscType", 1, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Phonon::Effect*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Phonon::EffectDescription", 0, Smoke::t_voidp|Smoke::tf_stack },	//21
    { "Phonon::EffectParameter", 13, Smoke::t_class|Smoke::tf_stack },	//22
    { "Phonon::EffectParameter&", 13, Smoke::t_class|Smoke::tf_ref },	//23
    { "Phonon::EffectParameter*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Phonon::EffectParameter::Hint", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Phonon::EffectPrivate&", 14, Smoke::t_class|Smoke::tf_ref },	//26
    { "Phonon::EffectType", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "Phonon::EffectWidget*", 15, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Phonon::ErrorType", 1, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Phonon::MediaController*", 16, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaController::Feature", 16, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Phonon::MediaController::NavigationMenu", 16, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Phonon::MediaNode*", 17, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Phonon::MediaNodePrivate&", 18, Smoke::t_class|Smoke::tf_ref },	//34
    { "Phonon::MediaObject*", 19, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Phonon::MediaSource", 20, Smoke::t_class|Smoke::tf_stack },	//36
    { "Phonon::MediaSource&", 20, Smoke::t_class|Smoke::tf_ref },	//37
    { "Phonon::MediaSource*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Phonon::MediaSource::Type", 20, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Phonon::MediaSourcePrivate&", 21, Smoke::t_class|Smoke::tf_ref },	//40
    { "Phonon::MetaData", 1, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Phonon::Mrl", 22, Smoke::t_class|Smoke::tf_stack },	//42
    { "Phonon::Mrl&", 22, Smoke::t_class|Smoke::tf_ref },	//43
    { "Phonon::Mrl*", 22, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "Phonon::ObjectDescription<Phonon::AudioChannelType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "Phonon::ObjectDescription<Phonon::EffectType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "Phonon::ObjectDescription<Phonon::SubtitleType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "Phonon::ObjectDescriptionData", 23, Smoke::t_class|Smoke::tf_stack },	//51
    { "Phonon::ObjectDescriptionData*", 23, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Phonon::ObjectDescriptionModelData*", 24, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Phonon::ObjectDescriptionPrivate*", 25, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Phonon::ObjectDescriptionType", 1, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Phonon::Path", 26, Smoke::t_class|Smoke::tf_stack },	//56
    { "Phonon::Path&", 26, Smoke::t_class|Smoke::tf_ref },	//57
    { "Phonon::Path*", 26, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Phonon::SeekSlider*", 27, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Phonon::State", 1, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Phonon::StreamInterface*", 28, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Phonon::SubtitleType", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "Phonon::VideoCaptureDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "Phonon::VideoCaptureDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "Phonon::VideoPlayer*", 29, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Phonon::VideoWidget*", 30, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Phonon::VideoWidget::AspectRatio", 30, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Phonon::VideoWidget::ScaleMode", 30, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Phonon::VideoWidgetPrivate&", 31, Smoke::t_class|Smoke::tf_ref },	//69
    { "Phonon::VolumeFaderEffect*", 32, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Phonon::VolumeFaderEffect::FadeCurve", 32, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Phonon::VolumeSlider*", 33, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QAbstractListModel*", 34, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QActionEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QBool", 36, Smoke::t_class|Smoke::tf_stack },	//75
    { "QByteArray", 37, Smoke::t_class|Smoke::tf_stack },	//76
    { "QChildEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QCloseEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QContextMenuEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QDragEnterEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QDragLeaveEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QDragMoveEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QDropEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QFlags<Phonon::EffectParameter::Hint>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Phonon::MediaController::Feature>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFocusEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QHideEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QIODevice*", 50, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QImage", 51, Smoke::t_class|Smoke::tf_stack },	//94
    { "QInputMethodEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QKeyEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QList<Phonon::AudioCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QList<Phonon::AudioOutputDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QList<Phonon::Effect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QList<Phonon::EffectDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<Phonon::EffectParameter>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<Phonon::MediaController::NavigationMenu>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<Phonon::MediaSource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<Phonon::ObjectDescription<Phonon::AudioChannelType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<Phonon::ObjectDescription<Phonon::SubtitleType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<Phonon::Path>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<Phonon::VideoCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QMetaObject::Call", 54, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QMimeData*", 55, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QModelIndex", 56, Smoke::t_class|Smoke::tf_stack },	//115
    { "QMouseEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QMoveEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QObject*", 59, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QPaintEngine*", 60, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QPaintEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QPair<QByteArray,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QRegExp&", 63, Smoke::t_class|Smoke::tf_ref },	//124
    { "QResizeEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QShowEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QSize", 67, Smoke::t_class|Smoke::tf_stack },	//127
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "QStyle&", 68, Smoke::t_class|Smoke::tf_ref },	//131
    { "QTabletEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QTimerEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QUrl", 71, Smoke::t_class|Smoke::tf_stack },	//134
    { "QUrl::FormattingOption", 71, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QVariant", 72, Smoke::t_class|Smoke::tf_stack },	//136
    { "QVariant::Type", 72, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QVector<qint16>", 0, Smoke::t_voidp|Smoke::tf_stack },	//138
    { "QWheelEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QWidget*", 74, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//213
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//214
    { "const Phonon::AbstractVideoOutput&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const Phonon::AudioOutputDevice&", 0, Smoke::t_voidp|Smoke::tf_stack },	//216
    { "const Phonon::EffectParameter&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const Phonon::MediaNode&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const Phonon::MediaSource&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const Phonon::Mrl&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const Phonon::ObjectDescription<Phonon::AudioChannelType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const Phonon::ObjectDescription<Phonon::EffectType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Phonon::ObjectDescription<Phonon::SubtitleType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const Phonon::ObjectDescriptionData&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const Phonon::ObjectDescriptionModelData&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const Phonon::Path&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const Phonon::StreamInterface&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QByteArray&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QFont&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QHash<QByteArray,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QList<Phonon::MediaSource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QList<QPair<QByteArray,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QMetaObject&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QMetaObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//241
    { "const QMimeData*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//242
    { "const QModelIndex&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QPair<QByteArray,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QPalette&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QRegExp&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QSize&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//249
    { "const QUrl&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QVariant&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//253
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//254
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//255
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//256
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "qint16", 0, Smoke::t_short|Smoke::tf_stack },	//258
    { "qint32", 0, Smoke::t_int|Smoke::tf_stack },	//259
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//261
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//262
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//263
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//264
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//265
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    18, 0,	//1  Phonon::Category
    217, 0,	//3  const Phonon::EffectParameter&
    17, 0,	//5  Phonon::CaptureCategory
    33, 33, 0,	//7  Phonon::MediaNode*, Phonon::MediaNode*
    18, 219, 0,	//10  Phonon::Category, const Phonon::MediaSource&
    252, 0,	//13  const char*
    252, 252, 0,	//15  const char*, const char*
    252, 252, 256, 0,	//18  const char*, const char*, int
    113, 256, 264, 0,	//22  QMetaObject::Call, int, void**
    2, 119, 0,	//26  Phonon::AbstractAudioOutputPrivate&, QObject*
    119, 0,	//29  QObject*
    257, 0,	//31  long long
    214, 0,	//33  bool
    230, 0,	//35  const QByteArray&
    29, 248, 0,	//37  Phonon::ErrorType, const QString&
    4, 119, 0,	//40  Phonon::AbstractMediaStreamPrivate&, QObject*
    6, 0,	//43  Phonon::AbstractVideoOutputPrivate&
    215, 0,	//45  const Phonon::AbstractVideoOutput&
    256, 0,	//47  int
    239, 0,	//49  const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&
    18, 119, 0,	//51  Phonon::Category, QObject*
    248, 0,	//54  const QString&
    261, 0,	//56  qreal
    216, 0,	//58  const Phonon::AudioOutputDevice&
    223, 119, 0,	//60  const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*
    217, 251, 0,	//63  const Phonon::EffectParameter&, const QVariant&
    26, 119, 0,	//66  Phonon::EffectPrivate&, QObject*
    223, 0,	//69  const Phonon::ObjectDescription<Phonon::EffectType>&
    256, 248, 86, 251, 251, 251, 238, 248, 0,	//71  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&
    256, 248, 86, 251, 0,	//80  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&
    256, 248, 86, 251, 251, 0,	//85  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&
    256, 248, 86, 251, 251, 251, 0,	//91  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&
    256, 248, 86, 251, 251, 251, 238, 0,	//98  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&
    20, 140, 0,	//106  Phonon::Effect*, QWidget*
    20, 0,	//109  Phonon::Effect*
    35, 0,	//111  Phonon::MediaObject*
    32, 0,	//113  Phonon::MediaController::NavigationMenu
    222, 0,	//115  const Phonon::ObjectDescription<Phonon::AudioChannelType>&
    224, 0,	//117  const Phonon::ObjectDescription<Phonon::SubtitleType>&
    102, 0,	//119  QList<Phonon::MediaController::NavigationMenu>
    34, 0,	//121  Phonon::MediaNodePrivate&
    218, 0,	//123  const Phonon::MediaNode&
    41, 0,	//125  Phonon::MetaData
    219, 0,	//127  const Phonon::MediaSource&
    233, 0,	//129  const QList<Phonon::MediaSource>&
    237, 0,	//131  const QList<QUrl>&
    259, 0,	//133  qint32
    260, 0,	//135  qint64
    60, 60, 0,	//137  Phonon::State, Phonon::State
    250, 0,	//140  const QUrl&
    19, 248, 0,	//142  Phonon::DiscType, const QString&
    221, 0,	//145  const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&
    225, 0,	//147  const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&
    16, 17, 0,	//149  Phonon::Capture::DeviceType, Phonon::CaptureCategory
    3, 0,	//152  Phonon::AbstractMediaStream*
    93, 0,	//154  QIODevice*
    40, 0,	//156  Phonon::MediaSourcePrivate&
    244, 0,	//158  const QPair<QByteArray,QString>&
    19, 0,	//160  Phonon::DiscType
    16, 0,	//162  Phonon::Capture::DeviceType
    220, 0,	//164  const Phonon::Mrl&
    88, 0,	//166  QFlags<QUrl::FormattingOption>
    226, 0,	//168  const Phonon::ObjectDescriptionData&
    55, 256, 0,	//170  Phonon::ObjectDescriptionType, int
    54, 0,	//173  Phonon::ObjectDescriptionPrivate*
    256, 232, 0,	//175  int, const QHash<QByteArray,QVariant>&
    243, 0,	//178  const QModelIndex&
    243, 256, 0,	//180  const QModelIndex&, int
    55, 235, 0,	//183  Phonon::ObjectDescriptionType, const QList<QModelIndex>&
    234, 0,	//186  const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&
    55, 242, 163, 256, 256, 243, 0,	//188  Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    256, 256, 243, 0,	//195  int, int, const QModelIndex&
    55, 0,	//199  Phonon::ObjectDescriptionType
    73, 0,	//201  QAbstractListModel*
    227, 0,	//203  const Phonon::ObjectDescriptionModelData&
    256, 256, 0,	//205  int, int
    228, 0,	//208  const Phonon::Path&
    223, 20, 0,	//210  const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*
    20, 20, 0,	//213  Phonon::Effect*, Phonon::Effect*
    140, 0,	//216  QWidget*
    35, 140, 0,	//218  Phonon::MediaObject*, QWidget*
    187, 0,	//221  Qt::Orientation
    247, 0,	//223  const QSize&
    229, 0,	//225  const Phonon::StreamInterface&
    18, 140, 0,	//227  Phonon::Category, QWidget*
    255, 0,	//230  float
    84, 0,	//232  QEvent*
    67, 0,	//234  Phonon::VideoWidget::AspectRatio
    68, 0,	//236  Phonon::VideoWidget::ScaleMode
    69, 140, 0,	//238  Phonon::VideoWidgetPrivate&, QWidget*
    116, 0,	//241  QMouseEvent*
    254, 0,	//243  double
    71, 0,	//245  Phonon::VolumeFaderEffect::FadeCurve
    255, 256, 0,	//247  float, int
    12, 140, 0,	//250  Phonon::AudioOutput*, QWidget*
    12, 0,	//253  Phonon::AudioOutput*
    119, 84, 0,	//255  QObject*, QEvent*
    133, 0,	//258  QTimerEvent*
    77, 0,	//260  QChildEvent*
    139, 0,	//262  QWheelEvent*
    96, 0,	//264  QKeyEvent*
    91, 0,	//266  QFocusEvent*
    122, 0,	//268  QPaintEvent*
    117, 0,	//270  QMoveEvent*
    125, 0,	//272  QResizeEvent*
    78, 0,	//274  QCloseEvent*
    79, 0,	//276  QContextMenuEvent*
    132, 0,	//278  QTabletEvent*
    74, 0,	//280  QActionEvent*
    80, 0,	//282  QDragEnterEvent*
    82, 0,	//284  QDragMoveEvent*
    81, 0,	//286  QDragLeaveEvent*
    83, 0,	//288  QDropEvent*
    126, 0,	//290  QShowEvent*
    92, 0,	//292  QHideEvent*
    213, 0,	//294  _XEvent*
    120, 0,	//296  QPaintDevice::PaintDeviceMetric
    95, 0,	//298  QInputMethodEvent*
    175, 0,	//300  Qt::InputMethodQuery
    131, 0,	//302  QStyle&
    245, 0,	//304  const QPalette&
    231, 0,	//306  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractAudioOutput",	//1
    "AbstractAudioOutput##",	//2
    "AbstractMediaStream",	//3
    "AbstractMediaStream#",	//4
    "AbstractMediaStream##",	//5
    "AbstractVideoOutput",	//6
    "AbstractVideoOutput#",	//7
    "AccessibilityCategory",	//8
    "AlbumMetaData",	//9
    "AngleMenu",	//10
    "Angles",	//11
    "ArtistMetaData",	//12
    "AspectRatio16_9",	//13
    "AspectRatio4_3",	//14
    "AspectRatioAuto",	//15
    "AspectRatioWidget",	//16
    "AudioCaptureDeviceType",	//17
    "AudioChannelType",	//18
    "AudioDataOutput",	//19
    "AudioDataOutput#",	//20
    "AudioMenu",	//21
    "AudioOutput",	//22
    "AudioOutput#",	//23
    "AudioOutput$",	//24
    "AudioOutput$#",	//25
    "AudioOutputDeviceType",	//26
    "AudioType",	//27
    "BufferingState",	//28
    "CaptureDevice",	//29
    "Cd",	//30
    "CenterChannel",	//31
    "ChapterMenu",	//32
    "Chapters",	//33
    "CommunicationCaptureCategory",	//34
    "CommunicationCategory",	//35
    "ControlCaptureCategory",	//36
    "DateMetaData",	//37
    "DescriptionMetaData",	//38
    "Disc",	//39
    "DrawChildren",	//40
    "DrawWindowBackground",	//41
    "Dvd",	//42
    "Effect",	//43
    "Effect##",	//44
    "Effect?",	//45
    "Effect?#",	//46
    "EffectParameter",	//47
    "EffectParameter#",	//48
    "EffectParameter$$$#",	//49
    "EffectParameter$$$##",	//50
    "EffectParameter$$$###",	//51
    "EffectParameter$$$###?",	//52
    "EffectParameter$$$###?$",	//53
    "EffectType",	//54
    "EffectWidget",	//55
    "EffectWidget#",	//56
    "EffectWidget##",	//57
    "Empty",	//58
    "ErrorState",	//59
    "Fade12Decibel",	//60
    "Fade3Decibel",	//61
    "Fade6Decibel",	//62
    "Fade9Decibel",	//63
    "FatalError",	//64
    "FitInView",	//65
    "GameCategory",	//66
    "GenreMetaData",	//67
    "IgnoreMask",	//68
    "IntegerHint",	//69
    "Invalid",	//70
    "LastCategory",	//71
    "LeftChannel",	//72
    "LeftSurroundChannel",	//73
    "LoadingState",	//74
    "LocalFile",	//75
    "LogarithmicHint",	//76
    "MediaController",	//77
    "MediaController#",	//78
    "MediaNode",	//79
    "MediaNode#",	//80
    "MediaObject",	//81
    "MediaObject#",	//82
    "MediaSource",	//83
    "MediaSource#",	//84
    "MediaSource$",	//85
    "MediaSource$$",	//86
    "MediaSource?",	//87
    "Mrl",	//88
    "Mrl#",	//89
    "Mrl$",	//90
    "MusicBrainzDiscIdMetaData",	//91
    "MusicCategory",	//92
    "Navigations",	//93
    "NoCaptureCategory",	//94
    "NoCategory",	//95
    "NoDisc",	//96
    "NoError",	//97
    "NormalError",	//98
    "NotificationCategory",	//99
    "ObjectDescriptionData",	//100
    "ObjectDescriptionData#",	//101
    "ObjectDescriptionData$?",	//102
    "ObjectDescriptionModelData",	//103
    "ObjectDescriptionModelData#",	//104
    "Path",	//105
    "Path#",	//106
    "PausedState",	//107
    "PlayingState",	//108
    "RecordingCaptureCategory",	//109
    "RightChannel",	//110
    "RightSurroundChannel",	//111
    "RootMenu",	//112
    "ScaleAndCrop",	//113
    "SeekSlider",	//114
    "SeekSlider#",	//115
    "SeekSlider##",	//116
    "StoppedState",	//117
    "Stream",	//118
    "StreamInterface",	//119
    "StreamInterface#",	//120
    "SubtitleMenu",	//121
    "SubtitleType",	//122
    "SubwooferChannel",	//123
    "TitleMenu",	//124
    "TitleMetaData",	//125
    "Titles",	//126
    "ToggledHint",	//127
    "TracknumberMetaData",	//128
    "Url",	//129
    "Vcd",	//130
    "VideoCaptureDeviceType",	//131
    "VideoCategory",	//132
    "VideoPlayer",	//133
    "VideoPlayer#",	//134
    "VideoPlayer$",	//135
    "VideoPlayer$#",	//136
    "VideoType",	//137
    "VideoWidget",	//138
    "VideoWidget#",	//139
    "VideoWidget##",	//140
    "VolumeFaderEffect",	//141
    "VolumeFaderEffect#",	//142
    "VolumeSlider",	//143
    "VolumeSlider#",	//144
    "VolumeSlider##",	//145
    "aboutToFinish",	//146
    "actionEvent",	//147
    "angleChanged",	//148
    "angleChanged$",	//149
    "aspectRatio",	//150
    "audioCaptureDevice",	//151
    "audioOutput",	//152
    "autoDelete",	//153
    "autoplayTitles",	//154
    "availableAngles",	//155
    "availableAnglesChanged",	//156
    "availableAnglesChanged$",	//157
    "availableAudioChannels",	//158
    "availableAudioChannelsChanged",	//159
    "availableChapters",	//160
    "availableChaptersChanged",	//161
    "availableChaptersChanged$",	//162
    "availableMenus",	//163
    "availableMenusChanged",	//164
    "availableMenusChanged?",	//165
    "availableSubtitles",	//166
    "availableSubtitlesChanged",	//167
    "availableTitles",	//168
    "availableTitlesChanged",	//169
    "availableTitlesChanged$",	//170
    "brightness",	//171
    "bufferStatus",	//172
    "bufferStatus$",	//173
    "category",	//174
    "categoryToString",	//175
    "categoryToString$",	//176
    "changeEvent",	//177
    "chapterChanged",	//178
    "chapterChanged$",	//179
    "childEvent",	//180
    "clear",	//181
    "clearQueue",	//182
    "closeEvent",	//183
    "connectNotify",	//184
    "connectToSource",	//185
    "connectToSource#",	//186
    "contextMenuEvent",	//187
    "contrast",	//188
    "createPath",	//189
    "createPath##",	//190
    "createPlayer",	//191
    "createPlayer$",	//192
    "createPlayer$#",	//193
    "currentAngle",	//194
    "currentAudioChannel",	//195
    "currentChapter",	//196
    "currentSource",	//197
    "currentSourceChanged",	//198
    "currentSourceChanged#",	//199
    "currentSubtitle",	//200
    "currentTime",	//201
    "currentTitle",	//202
    "customEvent",	//203
    "data",	//204
    "data#",	//205
    "data#$",	//206
    "dataReady",	//207
    "dataReady?",	//208
    "dataSize",	//209
    "defaultValue",	//210
    "description",	//211
    "devType",	//212
    "deviceAccessList",	//213
    "deviceName",	//214
    "discType",	//215
    "disconnect",	//216
    "disconnectNotify",	//217
    "dragEnterEvent",	//218
    "dragLeaveEvent",	//219
    "dragMoveEvent",	//220
    "dropEvent",	//221
    "dropMimeData",	//222
    "dropMimeData$#$$$#",	//223
    "effects",	//224
    "enabledChange",	//225
    "endOfData",	//226
    "endOfMedia",	//227
    "endOfMedia$",	//228
    "enoughData",	//229
    "enqueue",	//230
    "enqueue#",	//231
    "enqueue?",	//232
    "enterEvent",	//233
    "enterFullScreen",	//234
    "error",	//235
    "error$$",	//236
    "errorString",	//237
    "errorType",	//238
    "event",	//239
    "event#",	//240
    "eventFilter",	//241
    "exitFullScreen",	//242
    "fadeCurve",	//243
    "fadeIn",	//244
    "fadeIn$",	//245
    "fadeOut",	//246
    "fadeOut$",	//247
    "fadeTo",	//248
    "fadeTo$$",	//249
    "fileName",	//250
    "finished",	//251
    "flags",	//252
    "flags#",	//253
    "focusInEvent",	//254
    "focusNextPrevChild",	//255
    "focusOutEvent",	//256
    "fontChange",	//257
    "fromIndex",	//258
    "fromIndex$$",	//259
    "hasTracking",	//260
    "hasVideo",	//261
    "hasVideoChanged",	//262
    "hasVideoChanged$",	//263
    "heightForWidth",	//264
    "hideEvent",	//265
    "hue",	//266
    "iconSize",	//267
    "id",	//268
    "index",	//269
    "inputMethodEvent",	//270
    "inputMethodQuery",	//271
    "inputPaths",	//272
    "insertEffect",	//273
    "insertEffect#",	//274
    "insertEffect##",	//275
    "insertEffect?",	//276
    "insertEffect?#",	//277
    "isIconVisible",	//278
    "isLogarithmicControl",	//279
    "isMuteVisible",	//280
    "isMuted",	//281
    "isPaused",	//282
    "isPlaying",	//283
    "isSeekable",	//284
    "isValid",	//285
    "keyPressEvent",	//286
    "keyReleaseEvent",	//287
    "languageChange",	//288
    "leaveEvent",	//289
    "load",	//290
    "load#",	//291
    "maximumValue",	//292
    "maximumVolume",	//293
    "mediaObject",	//294
    "metaData",	//295
    "metaData$",	//296
    "metaDataChanged",	//297
    "metaObject",	//298
    "metric",	//299
    "mimeData",	//300
    "mimeData$?",	//301
    "mimeTypes",	//302
    "mimeTypes$",	//303
    "minimumSizeHint",	//304
    "minimumValue",	//305
    "modelData",	//306
    "modelData#",	//307
    "mouseDoubleClickEvent",	//308
    "mouseMoveEvent",	//309
    "mouseMoveEvent#",	//310
    "mousePressEvent",	//311
    "mouseReleaseEvent",	//312
    "moveDown",	//313
    "moveDown#",	//314
    "moveEvent",	//315
    "moveUp",	//316
    "moveUp#",	//317
    "mrl",	//318
    "mutedChanged",	//319
    "mutedChanged$",	//320
    "name",	//321
    "navigationMenuToString",	//322
    "navigationMenuToString$",	//323
    "needData",	//324
    "nextTitle",	//325
    "operator!=",	//326
    "operator!=#",	//327
    "operator<",	//328
    "operator<#",	//329
    "operator=",	//330
    "operator=#",	//331
    "operator=$",	//332
    "operator==",	//333
    "operator==#",	//334
    "operator>",	//335
    "operator>#",	//336
    "orientation",	//337
    "outputDevice",	//338
    "outputDeviceChanged",	//339
    "outputDeviceChanged?",	//340
    "outputPaths",	//341
    "pageStep",	//342
    "paintEngine",	//343
    "paintEvent",	//344
    "paletteChange",	//345
    "parameterValue",	//346
    "parameterValue#",	//347
    "parameters",	//348
    "pause",	//349
    "phononVersion",	//350
    "play",	//351
    "play#",	//352
    "possibleValues",	//353
    "prefinishMark",	//354
    "prefinishMarkReached",	//355
    "prefinishMarkReached$",	//356
    "previousTitle",	//357
    "property",	//358
    "property$",	//359
    "propertyNames",	//360
    "qHash",	//361
    "qHash#",	//362
    "qt_metacall",	//363
    "qt_metacall$$?",	//364
    "qt_metacast",	//365
    "qt_metacast$",	//366
    "queue",	//367
    "reconnect",	//368
    "reconnect##",	//369
    "registerMetaTypes",	//370
    "remainingTime",	//371
    "removeEffect",	//372
    "removeEffect#",	//373
    "removeRows",	//374
    "removeRows$$",	//375
    "removeRows$$#",	//376
    "reset",	//377
    "resizeEvent",	//378
    "rowCount",	//379
    "rowCount#",	//380
    "sampleRate",	//381
    "saturation",	//382
    "scaleMode",	//383
    "seek",	//384
    "seek$",	//385
    "seekStream",	//386
    "seekStream$",	//387
    "seekableChanged",	//388
    "seekableChanged$",	//389
    "setAspectRatio",	//390
    "setAspectRatio$",	//391
    "setAudioOutput",	//392
    "setAudioOutput#",	//393
    "setAutoDelete",	//394
    "setAutoDelete$",	//395
    "setAutoplayTitles",	//396
    "setAutoplayTitles$",	//397
    "setBrightness",	//398
    "setBrightness$",	//399
    "setContrast",	//400
    "setContrast$",	//401
    "setCurrentAngle",	//402
    "setCurrentAngle$",	//403
    "setCurrentAudioChannel",	//404
    "setCurrentAudioChannel?",	//405
    "setCurrentChapter",	//406
    "setCurrentChapter$",	//407
    "setCurrentMenu",	//408
    "setCurrentMenu$",	//409
    "setCurrentSource",	//410
    "setCurrentSource#",	//411
    "setCurrentSubtitle",	//412
    "setCurrentSubtitle?",	//413
    "setCurrentTitle",	//414
    "setCurrentTitle$",	//415
    "setDataSize",	//416
    "setDataSize$",	//417
    "setFadeCurve",	//418
    "setFadeCurve$",	//419
    "setFullScreen",	//420
    "setFullScreen$",	//421
    "setHue",	//422
    "setHue$",	//423
    "setIconSize",	//424
    "setIconSize#",	//425
    "setIconVisible",	//426
    "setIconVisible$",	//427
    "setMaximumVolume",	//428
    "setMaximumVolume$",	//429
    "setMediaObject",	//430
    "setMediaObject#",	//431
    "setModelData",	//432
    "setModelData?",	//433
    "setMuteVisible",	//434
    "setMuteVisible$",	//435
    "setMuted",	//436
    "setMuted$",	//437
    "setName",	//438
    "setName$",	//439
    "setOrientation",	//440
    "setOrientation$",	//441
    "setOutputDevice",	//442
    "setOutputDevice?",	//443
    "setPageStep",	//444
    "setPageStep$",	//445
    "setParameterValue",	//446
    "setParameterValue##",	//447
    "setPrefinishMark",	//448
    "setPrefinishMark$",	//449
    "setQueue",	//450
    "setQueue?",	//451
    "setSaturation",	//452
    "setSaturation$",	//453
    "setScaleMode",	//454
    "setScaleMode$",	//455
    "setSingleStep",	//456
    "setSingleStep$",	//457
    "setStreamSeekable",	//458
    "setStreamSeekable$",	//459
    "setStreamSize",	//460
    "setStreamSize$",	//461
    "setTickInterval",	//462
    "setTickInterval$",	//463
    "setTracking",	//464
    "setTracking$",	//465
    "setTransitionTime",	//466
    "setTransitionTime$",	//467
    "setVisible",	//468
    "setVolume",	//469
    "setVolume$",	//470
    "setVolumeDecibel",	//471
    "setVolumeDecibel$",	//472
    "showEvent",	//473
    "singleStep",	//474
    "sink",	//475
    "sizeHint",	//476
    "snapshot",	//477
    "source",	//478
    "state",	//479
    "stateChanged",	//480
    "stateChanged$$",	//481
    "staticMetaObject",	//482
    "stop",	//483
    "stream",	//484
    "streamSeekable",	//485
    "streamSize",	//486
    "styleChange",	//487
    "supportedDropActions",	//488
    "supportedFeatures",	//489
    "tabletEvent",	//490
    "tick",	//491
    "tick$",	//492
    "tickInterval",	//493
    "timerEvent",	//494
    "titleChanged",	//495
    "titleChanged$",	//496
    "toEncoded",	//497
    "toEncoded$",	//498
    "totalTime",	//499
    "totalTimeChanged",	//500
    "totalTimeChanged$",	//501
    "tr",	//502
    "tr$",	//503
    "tr$$",	//504
    "tr$$$",	//505
    "trUtf8",	//506
    "trUtf8$",	//507
    "trUtf8$$",	//508
    "trUtf8$$$",	//509
    "transitionTime",	//510
    "tupleIndexAtPositionIndex",	//511
    "tupleIndexAtPositionIndex$",	//512
    "tupleIndexOrder",	//513
    "type",	//514
    "url",	//515
    "videoCaptureDevice",	//516
    "videoWidget",	//517
    "volume",	//518
    "volumeChanged",	//519
    "volumeChanged$",	//520
    "volumeDecibel",	//521
    "wheelEvent",	//522
    "windowActivationChange",	//523
    "writeData",	//524
    "writeData#",	//525
    "x11Event",	//526
    "~AbstractAudioOutput",	//527
    "~AbstractMediaStream",	//528
    "~AbstractVideoOutput",	//529
    "~AudioDataOutput",	//530
    "~AudioOutput",	//531
    "~Effect",	//532
    "~EffectParameter",	//533
    "~EffectWidget",	//534
    "~MediaController",	//535
    "~MediaNode",	//536
    "~MediaObject",	//537
    "~MediaSource",	//538
    "~Mrl",	//539
    "~ObjectDescriptionData",	//540
    "~ObjectDescriptionModelData",	//541
    "~Path",	//542
    "~SeekSlider",	//543
    "~StreamInterface",	//544
    "~VideoPlayer",	//545
    "~VideoWidget",	//546
    "~VolumeFaderEffect",	//547
    "~VolumeSlider",	//548
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 175, 1, 1, Smoke::mf_static, 128, 1},	//1 Phonon::categoryToString(Phonon::Category)
    {1, 350, 0, 0, Smoke::mf_static, 252, 2},	//2 Phonon::phononVersion()
    {1, 361, 3, 1, Smoke::mf_static, 262, 3},	//3 Phonon::qHash(const Phonon::EffectParameter&)
    {1, 370, 0, 0, Smoke::mf_static, 0, 4},	//4 Phonon::registerMetaTypes()
    {1, 175, 5, 1, Smoke::mf_static, 128, 5},	//5 Phonon::categoryToString(Phonon::CaptureCategory)
    {1, 189, 7, 2, Smoke::mf_static, 56, 6},	//6 Phonon::createPath(Phonon::MediaNode*, Phonon::MediaNode*)
    {1, 191, 10, 2, Smoke::mf_static, 35, 7},	//7 Phonon::createPlayer(Phonon::Category, const Phonon::MediaSource&)
    {1, 191, 1, 1, Smoke::mf_static, 35, 8},	//8 Phonon::createPlayer(Phonon::Category)
    {1, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 9},	//9 Phonon::ArtistMetaData (enum)
    {1, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 10},	//10 Phonon::AlbumMetaData (enum)
    {1, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 11},	//11 Phonon::TitleMetaData (enum)
    {1, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 12},	//12 Phonon::DateMetaData (enum)
    {1, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 13},	//13 Phonon::GenreMetaData (enum)
    {1, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 14},	//14 Phonon::TracknumberMetaData (enum)
    {1, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 15},	//15 Phonon::DescriptionMetaData (enum)
    {1, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 16},	//16 Phonon::MusicBrainzDiscIdMetaData (enum)
    {1, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 17},	//17 Phonon::AudioOutputDeviceType (enum)
    {1, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 18},	//18 Phonon::EffectType (enum)
    {1, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 19},	//19 Phonon::AudioChannelType (enum)
    {1, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 20},	//20 Phonon::SubtitleType (enum)
    {1, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 21},	//21 Phonon::AudioCaptureDeviceType (enum)
    {1, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 22},	//22 Phonon::VideoCaptureDeviceType (enum)
    {1, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 23},	//23 Phonon::NoDisc (enum)
    {1, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 24},	//24 Phonon::Cd (enum)
    {1, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 25},	//25 Phonon::Dvd (enum)
    {1, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 26},	//26 Phonon::Vcd (enum)
    {1, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//27 Phonon::NoCaptureCategory (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//28 Phonon::CommunicationCaptureCategory (enum)
    {1, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//29 Phonon::RecordingCaptureCategory (enum)
    {1, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//30 Phonon::ControlCaptureCategory (enum)
    {1, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 31},	//31 Phonon::NoError (enum)
    {1, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 32},	//32 Phonon::NormalError (enum)
    {1, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 33},	//33 Phonon::FatalError (enum)
    {1, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 34},	//34 Phonon::NoCategory (enum)
    {1, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 35},	//35 Phonon::NotificationCategory (enum)
    {1, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 36},	//36 Phonon::MusicCategory (enum)
    {1, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 37},	//37 Phonon::VideoCategory (enum)
    {1, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 38},	//38 Phonon::CommunicationCategory (enum)
    {1, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 39},	//39 Phonon::GameCategory (enum)
    {1, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 40},	//40 Phonon::AccessibilityCategory (enum)
    {1, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 41},	//41 Phonon::LastCategory (enum)
    {1, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 42},	//42 Phonon::LoadingState (enum)
    {1, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 43},	//43 Phonon::StoppedState (enum)
    {1, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 44},	//44 Phonon::PlayingState (enum)
    {1, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 45},	//45 Phonon::BufferingState (enum)
    {1, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 46},	//46 Phonon::PausedState (enum)
    {1, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 47},	//47 Phonon::ErrorState (enum)
    {2, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//48 Phonon::AbstractAudioOutput::metaObject() const
    {2, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//49 Phonon::AbstractAudioOutput::qt_metacast(const char*)
    {2, 502, 15, 2, Smoke::mf_static, 128, 3},	//50 Phonon::AbstractAudioOutput::tr(const char*, const char*)
    {2, 506, 15, 2, Smoke::mf_static, 128, 4},	//51 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*)
    {2, 502, 18, 3, Smoke::mf_static, 128, 5},	//52 Phonon::AbstractAudioOutput::tr(const char*, const char*, int)
    {2, 506, 18, 3, Smoke::mf_static, 128, 6},	//53 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*, int)
    {2, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//54 Phonon::AbstractAudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {2, 1, 26, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 8},	//55 Phonon::AbstractAudioOutput::AbstractAudioOutput(Phonon::AbstractAudioOutputPrivate&, QObject*)
    {2, 502, 13, 1, Smoke::mf_static, 128, 9},	//56 Phonon::AbstractAudioOutput::tr(const char*)
    {2, 506, 13, 1, Smoke::mf_static, 128, 10},	//57 Phonon::AbstractAudioOutput::trUtf8(const char*)
    {2, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 11},	//58 Phonon::AbstractAudioOutput::staticMetaObject() const
    {2, 527, 0, 0, Smoke::mf_dtor, 0, 12 },	//59 Phonon::AbstractAudioOutput::~AbstractAudioOutput()
    {4, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//60 Phonon::AbstractMediaStream::metaObject() const
    {4, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//61 Phonon::AbstractMediaStream::qt_metacast(const char*)
    {4, 502, 15, 2, Smoke::mf_static, 128, 3},	//62 Phonon::AbstractMediaStream::tr(const char*, const char*)
    {4, 506, 15, 2, Smoke::mf_static, 128, 4},	//63 Phonon::AbstractMediaStream::trUtf8(const char*, const char*)
    {4, 502, 18, 3, Smoke::mf_static, 128, 5},	//64 Phonon::AbstractMediaStream::tr(const char*, const char*, int)
    {4, 506, 18, 3, Smoke::mf_static, 128, 6},	//65 Phonon::AbstractMediaStream::trUtf8(const char*, const char*, int)
    {4, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//66 Phonon::AbstractMediaStream::qt_metacall(QMetaObject::Call, int, void**)
    {4, 3, 29, 1, Smoke::mf_ctor|Smoke::mf_protected, 3, 8},	//67 Phonon::AbstractMediaStream::AbstractMediaStream(QObject*)
    {4, 486, 0, 0, Smoke::mf_const|Smoke::mf_protected, 257, 9},	//68 Phonon::AbstractMediaStream::streamSize() const
    {4, 460, 31, 1, Smoke::mf_protected, 0, 10},	//69 Phonon::AbstractMediaStream::setStreamSize(long long)
    {4, 485, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 11},	//70 Phonon::AbstractMediaStream::streamSeekable() const
    {4, 458, 33, 1, Smoke::mf_protected, 0, 12},	//71 Phonon::AbstractMediaStream::setStreamSeekable(bool)
    {4, 524, 35, 1, Smoke::mf_protected, 0, 13},	//72 Phonon::AbstractMediaStream::writeData(const QByteArray&)
    {4, 226, 0, 0, Smoke::mf_protected, 0, 14},	//73 Phonon::AbstractMediaStream::endOfData()
    {4, 235, 37, 2, Smoke::mf_protected, 0, 15},	//74 Phonon::AbstractMediaStream::error(Phonon::ErrorType, const QString&)
    {4, 377, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//75 Phonon::AbstractMediaStream::reset() [pure virtual]
    {4, 324, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//76 Phonon::AbstractMediaStream::needData() [pure virtual]
    {4, 229, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//77 Phonon::AbstractMediaStream::enoughData()
    {4, 386, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//78 Phonon::AbstractMediaStream::seekStream(long long)
    {4, 3, 40, 2, Smoke::mf_ctor|Smoke::mf_protected, 3, 20},	//79 Phonon::AbstractMediaStream::AbstractMediaStream(Phonon::AbstractMediaStreamPrivate&, QObject*)
    {4, 502, 13, 1, Smoke::mf_static, 128, 21},	//80 Phonon::AbstractMediaStream::tr(const char*)
    {4, 506, 13, 1, Smoke::mf_static, 128, 22},	//81 Phonon::AbstractMediaStream::trUtf8(const char*)
    {4, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 3, 23},	//82 Phonon::AbstractMediaStream::AbstractMediaStream()
    {4, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 24},	//83 Phonon::AbstractMediaStream::staticMetaObject() const
    {4, 528, 0, 0, Smoke::mf_dtor, 0, 25 },	//84 Phonon::AbstractMediaStream::~AbstractMediaStream()
    {6, 6, 43, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 1},	//85 Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    {6, 6, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//86 Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    {6, 529, 0, 0, Smoke::mf_dtor, 0, 3 },	//87 Phonon::AbstractVideoOutput::~AbstractVideoOutput()
    {8, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//88 Phonon::AudioDataOutput::metaObject() const
    {8, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//89 Phonon::AudioDataOutput::qt_metacast(const char*)
    {8, 502, 15, 2, Smoke::mf_static, 128, 3},	//90 Phonon::AudioDataOutput::tr(const char*, const char*)
    {8, 506, 15, 2, Smoke::mf_static, 128, 4},	//91 Phonon::AudioDataOutput::trUtf8(const char*, const char*)
    {8, 502, 18, 3, Smoke::mf_static, 128, 5},	//92 Phonon::AudioDataOutput::tr(const char*, const char*, int)
    {8, 506, 18, 3, Smoke::mf_static, 128, 6},	//93 Phonon::AudioDataOutput::trUtf8(const char*, const char*, int)
    {8, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//94 Phonon::AudioDataOutput::qt_metacall(QMetaObject::Call, int, void**)
    {8, 19, 29, 1, Smoke::mf_ctor, 10, 8},	//95 Phonon::AudioDataOutput::AudioDataOutput(QObject*)
    {8, 209, 0, 0, Smoke::mf_const|Smoke::mf_property, 256, 9},	//96 Phonon::AudioDataOutput::dataSize() const
    {8, 381, 0, 0, Smoke::mf_const, 256, 10},	//97 Phonon::AudioDataOutput::sampleRate() const
    {8, 416, 47, 1, Smoke::mf_property|Smoke::mf_slot, 0, 11},	//98 Phonon::AudioDataOutput::setDataSize(int)
    {8, 207, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//99 Phonon::AudioDataOutput::dataReady(const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&)
    {8, 227, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//100 Phonon::AudioDataOutput::endOfMedia(int)
    {8, 502, 13, 1, Smoke::mf_static, 128, 14},	//101 Phonon::AudioDataOutput::tr(const char*)
    {8, 506, 13, 1, Smoke::mf_static, 128, 15},	//102 Phonon::AudioDataOutput::trUtf8(const char*)
    {8, 19, 0, 0, Smoke::mf_ctor, 10, 16},	//103 Phonon::AudioDataOutput::AudioDataOutput()
    {8, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 17},	//104 Phonon::AudioDataOutput::staticMetaObject() const
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 18},	//105 Phonon::AudioDataOutput::LeftChannel (enum)
    {8, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 19},	//106 Phonon::AudioDataOutput::RightChannel (enum)
    {8, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 20},	//107 Phonon::AudioDataOutput::CenterChannel (enum)
    {8, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 21},	//108 Phonon::AudioDataOutput::LeftSurroundChannel (enum)
    {8, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 22},	//109 Phonon::AudioDataOutput::RightSurroundChannel (enum)
    {8, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 23},	//110 Phonon::AudioDataOutput::SubwooferChannel (enum)
    {8, 530, 0, 0, Smoke::mf_dtor, 0, 24 },	//111 Phonon::AudioDataOutput::~AudioDataOutput()
    {9, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//112 Phonon::AudioOutput::metaObject() const
    {9, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//113 Phonon::AudioOutput::qt_metacast(const char*)
    {9, 502, 15, 2, Smoke::mf_static, 128, 3},	//114 Phonon::AudioOutput::tr(const char*, const char*)
    {9, 506, 15, 2, Smoke::mf_static, 128, 4},	//115 Phonon::AudioOutput::trUtf8(const char*, const char*)
    {9, 502, 18, 3, Smoke::mf_static, 128, 5},	//116 Phonon::AudioOutput::tr(const char*, const char*, int)
    {9, 506, 18, 3, Smoke::mf_static, 128, 6},	//117 Phonon::AudioOutput::trUtf8(const char*, const char*, int)
    {9, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//118 Phonon::AudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {9, 22, 51, 2, Smoke::mf_ctor, 12, 8},	//119 Phonon::AudioOutput::AudioOutput(Phonon::Category, QObject*)
    {9, 22, 29, 1, Smoke::mf_ctor, 12, 9},	//120 Phonon::AudioOutput::AudioOutput(QObject*)
    {9, 321, 0, 0, Smoke::mf_const|Smoke::mf_property, 128, 10},	//121 Phonon::AudioOutput::name() const
    {9, 518, 0, 0, Smoke::mf_const, 254, 11},	//122 Phonon::AudioOutput::volume() const
    {9, 521, 0, 0, Smoke::mf_const, 254, 12},	//123 Phonon::AudioOutput::volumeDecibel() const
    {9, 174, 0, 0, Smoke::mf_const, 18, 13},	//124 Phonon::AudioOutput::category() const
    {9, 338, 0, 0, Smoke::mf_const, 47, 14},	//125 Phonon::AudioOutput::outputDevice() const
    {9, 281, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 15},	//126 Phonon::AudioOutput::isMuted() const
    {9, 438, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//127 Phonon::AudioOutput::setName(const QString&)
    {9, 469, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 17},	//128 Phonon::AudioOutput::setVolume(qreal)
    {9, 471, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//129 Phonon::AudioOutput::setVolumeDecibel(qreal)
    {9, 442, 58, 1, Smoke::mf_property|Smoke::mf_slot, 214, 19},	//130 Phonon::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&)
    {9, 436, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//131 Phonon::AudioOutput::setMuted(bool)
    {9, 519, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//132 Phonon::AudioOutput::volumeChanged(qreal)
    {9, 319, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//133 Phonon::AudioOutput::mutedChanged(bool)
    {9, 339, 58, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//134 Phonon::AudioOutput::outputDeviceChanged(const Phonon::AudioOutputDevice&)
    {9, 502, 13, 1, Smoke::mf_static, 128, 24},	//135 Phonon::AudioOutput::tr(const char*)
    {9, 506, 13, 1, Smoke::mf_static, 128, 25},	//136 Phonon::AudioOutput::trUtf8(const char*)
    {9, 22, 1, 1, Smoke::mf_ctor, 12, 26},	//137 Phonon::AudioOutput::AudioOutput(Phonon::Category)
    {9, 22, 0, 0, Smoke::mf_ctor, 12, 27},	//138 Phonon::AudioOutput::AudioOutput()
    {9, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 28},	//139 Phonon::AudioOutput::staticMetaObject() const
    {9, 531, 0, 0, Smoke::mf_dtor, 0, 29 },	//140 Phonon::AudioOutput::~AudioOutput()
    {11, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 1},	//141 Phonon::Capture::AudioType (enum)
    {11, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 2},	//142 Phonon::Capture::VideoType (enum)
    {12, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//143 Phonon::Effect::metaObject() const
    {12, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//144 Phonon::Effect::qt_metacast(const char*)
    {12, 502, 15, 2, Smoke::mf_static, 128, 3},	//145 Phonon::Effect::tr(const char*, const char*)
    {12, 506, 15, 2, Smoke::mf_static, 128, 4},	//146 Phonon::Effect::trUtf8(const char*, const char*)
    {12, 502, 18, 3, Smoke::mf_static, 128, 5},	//147 Phonon::Effect::tr(const char*, const char*, int)
    {12, 506, 18, 3, Smoke::mf_static, 128, 6},	//148 Phonon::Effect::trUtf8(const char*, const char*, int)
    {12, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//149 Phonon::Effect::qt_metacall(QMetaObject::Call, int, void**)
    {12, 43, 60, 2, Smoke::mf_ctor, 20, 8},	//150 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*)
    {12, 211, 0, 0, Smoke::mf_const, 48, 9},	//151 Phonon::Effect::description() const
    {12, 348, 0, 0, Smoke::mf_const, 101, 10},	//152 Phonon::Effect::parameters() const
    {12, 346, 3, 1, Smoke::mf_const, 136, 11},	//153 Phonon::Effect::parameterValue(const Phonon::EffectParameter&) const
    {12, 446, 63, 2, 0, 0, 12},	//154 Phonon::Effect::setParameterValue(const Phonon::EffectParameter&, const QVariant&)
    {12, 43, 66, 2, Smoke::mf_ctor|Smoke::mf_protected, 20, 13},	//155 Phonon::Effect::Effect(Phonon::EffectPrivate&, QObject*)
    {12, 502, 13, 1, Smoke::mf_static, 128, 14},	//156 Phonon::Effect::tr(const char*)
    {12, 506, 13, 1, Smoke::mf_static, 128, 15},	//157 Phonon::Effect::trUtf8(const char*)
    {12, 43, 69, 1, Smoke::mf_ctor, 20, 16},	//158 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {12, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 17},	//159 Phonon::Effect::staticMetaObject() const
    {12, 532, 0, 0, Smoke::mf_dtor, 0, 18 },	//160 Phonon::Effect::~Effect()
    {13, 47, 0, 0, Smoke::mf_ctor, 24, 1},	//161 Phonon::EffectParameter::EffectParameter()
    {13, 321, 0, 0, Smoke::mf_const, 248, 2},	//162 Phonon::EffectParameter::name() const
    {13, 211, 0, 0, Smoke::mf_const, 248, 3},	//163 Phonon::EffectParameter::description() const
    {13, 514, 0, 0, Smoke::mf_const, 137, 4},	//164 Phonon::EffectParameter::type() const
    {13, 279, 0, 0, Smoke::mf_const, 214, 5},	//165 Phonon::EffectParameter::isLogarithmicControl() const
    {13, 305, 0, 0, Smoke::mf_const, 136, 6},	//166 Phonon::EffectParameter::minimumValue() const
    {13, 292, 0, 0, Smoke::mf_const, 136, 7},	//167 Phonon::EffectParameter::maximumValue() const
    {13, 210, 0, 0, Smoke::mf_const, 136, 8},	//168 Phonon::EffectParameter::defaultValue() const
    {13, 353, 0, 0, Smoke::mf_const, 110, 9},	//169 Phonon::EffectParameter::possibleValues() const
    {13, 328, 3, 1, Smoke::mf_const, 214, 10},	//170 Phonon::EffectParameter::operator<(const Phonon::EffectParameter&) const
    {13, 335, 3, 1, Smoke::mf_const, 214, 11},	//171 Phonon::EffectParameter::operator>(const Phonon::EffectParameter&) const
    {13, 333, 3, 1, Smoke::mf_const, 214, 12},	//172 Phonon::EffectParameter::operator==(const Phonon::EffectParameter&) const
    {13, 47, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 13},	//173 Phonon::EffectParameter::EffectParameter(const Phonon::EffectParameter&)
    {13, 330, 3, 1, 0, 23, 14},	//174 Phonon::EffectParameter::operator=(const Phonon::EffectParameter&)
    {13, 47, 71, 8, Smoke::mf_ctor, 24, 15},	//175 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&)
    {13, 268, 0, 0, Smoke::mf_const, 256, 16},	//176 Phonon::EffectParameter::id() const
    {13, 47, 80, 4, Smoke::mf_ctor, 24, 17},	//177 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&)
    {13, 47, 85, 5, Smoke::mf_ctor, 24, 18},	//178 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&)
    {13, 47, 91, 6, Smoke::mf_ctor, 24, 19},	//179 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&)
    {13, 47, 98, 7, Smoke::mf_ctor, 24, 20},	//180 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&)
    {13, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 21},	//181 Phonon::EffectParameter::ToggledHint (enum)
    {13, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 22},	//182 Phonon::EffectParameter::LogarithmicHint (enum)
    {13, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//183 Phonon::EffectParameter::IntegerHint (enum)
    {13, 533, 0, 0, Smoke::mf_dtor, 0, 24 },	//184 Phonon::EffectParameter::~EffectParameter()
    {15, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//185 Phonon::EffectWidget::metaObject() const
    {15, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//186 Phonon::EffectWidget::qt_metacast(const char*)
    {15, 502, 15, 2, Smoke::mf_static, 128, 3},	//187 Phonon::EffectWidget::tr(const char*, const char*)
    {15, 506, 15, 2, Smoke::mf_static, 128, 4},	//188 Phonon::EffectWidget::trUtf8(const char*, const char*)
    {15, 502, 18, 3, Smoke::mf_static, 128, 5},	//189 Phonon::EffectWidget::tr(const char*, const char*, int)
    {15, 506, 18, 3, Smoke::mf_static, 128, 6},	//190 Phonon::EffectWidget::trUtf8(const char*, const char*, int)
    {15, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//191 Phonon::EffectWidget::qt_metacall(QMetaObject::Call, int, void**)
    {15, 55, 106, 2, Smoke::mf_ctor, 28, 8},	//192 Phonon::EffectWidget::EffectWidget(Phonon::Effect*, QWidget*)
    {15, 502, 13, 1, Smoke::mf_static, 128, 9},	//193 Phonon::EffectWidget::tr(const char*)
    {15, 506, 13, 1, Smoke::mf_static, 128, 10},	//194 Phonon::EffectWidget::trUtf8(const char*)
    {15, 55, 109, 1, Smoke::mf_ctor, 28, 11},	//195 Phonon::EffectWidget::EffectWidget(Phonon::Effect*)
    {15, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 12},	//196 Phonon::EffectWidget::staticMetaObject() const
    {15, 534, 0, 0, Smoke::mf_dtor, 0, 13 },	//197 Phonon::EffectWidget::~EffectWidget()
    {16, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//198 Phonon::MediaController::metaObject() const
    {16, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//199 Phonon::MediaController::qt_metacast(const char*)
    {16, 502, 15, 2, Smoke::mf_static, 128, 3},	//200 Phonon::MediaController::tr(const char*, const char*)
    {16, 506, 15, 2, Smoke::mf_static, 128, 4},	//201 Phonon::MediaController::trUtf8(const char*, const char*)
    {16, 502, 18, 3, Smoke::mf_static, 128, 5},	//202 Phonon::MediaController::tr(const char*, const char*, int)
    {16, 506, 18, 3, Smoke::mf_static, 128, 6},	//203 Phonon::MediaController::trUtf8(const char*, const char*, int)
    {16, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//204 Phonon::MediaController::qt_metacall(QMetaObject::Call, int, void**)
    {16, 77, 111, 1, Smoke::mf_ctor, 30, 8},	//205 Phonon::MediaController::MediaController(Phonon::MediaObject*)
    {16, 489, 0, 0, Smoke::mf_const, 87, 9},	//206 Phonon::MediaController::supportedFeatures() const
    {16, 155, 0, 0, Smoke::mf_const, 256, 10},	//207 Phonon::MediaController::availableAngles() const
    {16, 194, 0, 0, Smoke::mf_const, 256, 11},	//208 Phonon::MediaController::currentAngle() const
    {16, 160, 0, 0, Smoke::mf_const, 256, 12},	//209 Phonon::MediaController::availableChapters() const
    {16, 196, 0, 0, Smoke::mf_const, 256, 13},	//210 Phonon::MediaController::currentChapter() const
    {16, 322, 113, 1, Smoke::mf_static, 128, 14},	//211 Phonon::MediaController::navigationMenuToString(Phonon::MediaController::NavigationMenu)
    {16, 163, 0, 0, Smoke::mf_const, 102, 15},	//212 Phonon::MediaController::availableMenus() const
    {16, 168, 0, 0, Smoke::mf_const, 256, 16},	//213 Phonon::MediaController::availableTitles() const
    {16, 202, 0, 0, Smoke::mf_const, 256, 17},	//214 Phonon::MediaController::currentTitle() const
    {16, 154, 0, 0, Smoke::mf_const, 214, 18},	//215 Phonon::MediaController::autoplayTitles() const
    {16, 195, 0, 0, Smoke::mf_const, 46, 19},	//216 Phonon::MediaController::currentAudioChannel() const
    {16, 200, 0, 0, Smoke::mf_const, 49, 20},	//217 Phonon::MediaController::currentSubtitle() const
    {16, 158, 0, 0, Smoke::mf_const, 104, 21},	//218 Phonon::MediaController::availableAudioChannels() const
    {16, 166, 0, 0, Smoke::mf_const, 105, 22},	//219 Phonon::MediaController::availableSubtitles() const
    {16, 404, 115, 1, 0, 0, 23},	//220 Phonon::MediaController::setCurrentAudioChannel(const Phonon::ObjectDescription<Phonon::AudioChannelType>&)
    {16, 408, 113, 1, 0, 0, 24},	//221 Phonon::MediaController::setCurrentMenu(Phonon::MediaController::NavigationMenu)
    {16, 412, 117, 1, 0, 0, 25},	//222 Phonon::MediaController::setCurrentSubtitle(const Phonon::ObjectDescription<Phonon::SubtitleType>&)
    {16, 402, 47, 1, Smoke::mf_slot, 0, 26},	//223 Phonon::MediaController::setCurrentAngle(int)
    {16, 406, 47, 1, Smoke::mf_slot, 0, 27},	//224 Phonon::MediaController::setCurrentChapter(int)
    {16, 414, 47, 1, Smoke::mf_slot, 0, 28},	//225 Phonon::MediaController::setCurrentTitle(int)
    {16, 396, 33, 1, Smoke::mf_slot, 0, 29},	//226 Phonon::MediaController::setAutoplayTitles(bool)
    {16, 325, 0, 0, Smoke::mf_slot, 0, 30},	//227 Phonon::MediaController::nextTitle()
    {16, 357, 0, 0, Smoke::mf_slot, 0, 31},	//228 Phonon::MediaController::previousTitle()
    {16, 156, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//229 Phonon::MediaController::availableAnglesChanged(int)
    {16, 159, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//230 Phonon::MediaController::availableAudioChannelsChanged()
    {16, 161, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//231 Phonon::MediaController::availableChaptersChanged(int)
    {16, 164, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//232 Phonon::MediaController::availableMenusChanged(QList<Phonon::MediaController::NavigationMenu>)
    {16, 167, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//233 Phonon::MediaController::availableSubtitlesChanged()
    {16, 169, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//234 Phonon::MediaController::availableTitlesChanged(int)
    {16, 148, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//235 Phonon::MediaController::angleChanged(int)
    {16, 178, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//236 Phonon::MediaController::chapterChanged(int)
    {16, 495, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//237 Phonon::MediaController::titleChanged(int)
    {16, 502, 13, 1, Smoke::mf_static, 128, 41},	//238 Phonon::MediaController::tr(const char*)
    {16, 506, 13, 1, Smoke::mf_static, 128, 42},	//239 Phonon::MediaController::trUtf8(const char*)
    {16, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 43},	//240 Phonon::MediaController::staticMetaObject() const
    {16, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 44},	//241 Phonon::MediaController::Angles (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 45},	//242 Phonon::MediaController::Chapters (enum)
    {16, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 46},	//243 Phonon::MediaController::Navigations (enum)
    {16, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 47},	//244 Phonon::MediaController::Titles (enum)
    {16, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 48},	//245 Phonon::MediaController::RootMenu (enum)
    {16, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 49},	//246 Phonon::MediaController::TitleMenu (enum)
    {16, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 50},	//247 Phonon::MediaController::AudioMenu (enum)
    {16, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 51},	//248 Phonon::MediaController::SubtitleMenu (enum)
    {16, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 52},	//249 Phonon::MediaController::ChapterMenu (enum)
    {16, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 53},	//250 Phonon::MediaController::AngleMenu (enum)
    {16, 535, 0, 0, Smoke::mf_dtor, 0, 54 },	//251 Phonon::MediaController::~MediaController()
    {17, 285, 0, 0, Smoke::mf_const, 214, 1},	//252 Phonon::MediaNode::isValid() const
    {17, 272, 0, 0, Smoke::mf_const, 106, 2},	//253 Phonon::MediaNode::inputPaths() const
    {17, 341, 0, 0, Smoke::mf_const, 106, 3},	//254 Phonon::MediaNode::outputPaths() const
    {17, 79, 121, 1, Smoke::mf_ctor|Smoke::mf_protected, 33, 4},	//255 Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    {17, 79, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 5},	//256 Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    {17, 536, 0, 0, Smoke::mf_dtor, 0, 6 },	//257 Phonon::MediaNode::~MediaNode()
    {19, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//258 Phonon::MediaObject::metaObject() const
    {19, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//259 Phonon::MediaObject::qt_metacast(const char*)
    {19, 502, 15, 2, Smoke::mf_static, 128, 3},	//260 Phonon::MediaObject::tr(const char*, const char*)
    {19, 506, 15, 2, Smoke::mf_static, 128, 4},	//261 Phonon::MediaObject::trUtf8(const char*, const char*)
    {19, 502, 18, 3, Smoke::mf_static, 128, 5},	//262 Phonon::MediaObject::tr(const char*, const char*, int)
    {19, 506, 18, 3, Smoke::mf_static, 128, 6},	//263 Phonon::MediaObject::trUtf8(const char*, const char*, int)
    {19, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//264 Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**)
    {19, 81, 29, 1, Smoke::mf_ctor, 35, 8},	//265 Phonon::MediaObject::MediaObject(QObject*)
    {19, 479, 0, 0, Smoke::mf_const, 60, 9},	//266 Phonon::MediaObject::state() const
    {19, 261, 0, 0, Smoke::mf_const, 214, 10},	//267 Phonon::MediaObject::hasVideo() const
    {19, 284, 0, 0, Smoke::mf_const, 214, 11},	//268 Phonon::MediaObject::isSeekable() const
    {19, 493, 0, 0, Smoke::mf_const, 256, 12},	//269 Phonon::MediaObject::tickInterval() const
    {19, 295, 54, 1, Smoke::mf_const, 129, 13},	//270 Phonon::MediaObject::metaData(const QString&) const
    {19, 295, 125, 1, Smoke::mf_const, 129, 14},	//271 Phonon::MediaObject::metaData(Phonon::MetaData) const
    {19, 295, 0, 0, Smoke::mf_const, 118, 15},	//272 Phonon::MediaObject::metaData() const
    {19, 237, 0, 0, Smoke::mf_const, 128, 16},	//273 Phonon::MediaObject::errorString() const
    {19, 238, 0, 0, Smoke::mf_const, 29, 17},	//274 Phonon::MediaObject::errorType() const
    {19, 197, 0, 0, Smoke::mf_const, 36, 18},	//275 Phonon::MediaObject::currentSource() const
    {19, 410, 127, 1, 0, 0, 19},	//276 Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&)
    {19, 367, 0, 0, Smoke::mf_const, 103, 20},	//277 Phonon::MediaObject::queue() const
    {19, 450, 129, 1, 0, 0, 21},	//278 Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    {19, 450, 131, 1, 0, 0, 22},	//279 Phonon::MediaObject::setQueue(const QList<QUrl>&)
    {19, 230, 127, 1, 0, 0, 23},	//280 Phonon::MediaObject::enqueue(const Phonon::MediaSource&)
    {19, 230, 129, 1, 0, 0, 24},	//281 Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    {19, 230, 131, 1, 0, 0, 25},	//282 Phonon::MediaObject::enqueue(const QList<QUrl>&)
    {19, 182, 0, 0, 0, 0, 26},	//283 Phonon::MediaObject::clearQueue()
    {19, 201, 0, 0, Smoke::mf_const, 257, 27},	//284 Phonon::MediaObject::currentTime() const
    {19, 499, 0, 0, Smoke::mf_const, 257, 28},	//285 Phonon::MediaObject::totalTime() const
    {19, 371, 0, 0, Smoke::mf_const, 257, 29},	//286 Phonon::MediaObject::remainingTime() const
    {19, 354, 0, 0, Smoke::mf_const, 256, 30},	//287 Phonon::MediaObject::prefinishMark() const
    {19, 448, 47, 1, 0, 0, 31},	//288 Phonon::MediaObject::setPrefinishMark(int)
    {19, 510, 0, 0, Smoke::mf_const, 256, 32},	//289 Phonon::MediaObject::transitionTime() const
    {19, 466, 47, 1, 0, 0, 33},	//290 Phonon::MediaObject::setTransitionTime(int)
    {19, 462, 133, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//291 Phonon::MediaObject::setTickInterval(qint32)
    {19, 351, 0, 0, Smoke::mf_slot, 0, 35},	//292 Phonon::MediaObject::play()
    {19, 349, 0, 0, Smoke::mf_slot, 0, 36},	//293 Phonon::MediaObject::pause()
    {19, 483, 0, 0, Smoke::mf_slot, 0, 37},	//294 Phonon::MediaObject::stop()
    {19, 384, 135, 1, Smoke::mf_slot, 0, 38},	//295 Phonon::MediaObject::seek(qint64)
    {19, 181, 0, 0, Smoke::mf_slot, 0, 39},	//296 Phonon::MediaObject::clear()
    {19, 480, 137, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//297 Phonon::MediaObject::stateChanged(Phonon::State, Phonon::State)
    {19, 491, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//298 Phonon::MediaObject::tick(qint64)
    {19, 297, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//299 Phonon::MediaObject::metaDataChanged()
    {19, 388, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//300 Phonon::MediaObject::seekableChanged(bool)
    {19, 262, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//301 Phonon::MediaObject::hasVideoChanged(bool)
    {19, 172, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//302 Phonon::MediaObject::bufferStatus(int)
    {19, 251, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//303 Phonon::MediaObject::finished()
    {19, 198, 127, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//304 Phonon::MediaObject::currentSourceChanged(const Phonon::MediaSource&)
    {19, 146, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//305 Phonon::MediaObject::aboutToFinish()
    {19, 355, 133, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//306 Phonon::MediaObject::prefinishMarkReached(qint32)
    {19, 500, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//307 Phonon::MediaObject::totalTimeChanged(qint64)
    {19, 502, 13, 1, Smoke::mf_static, 128, 51},	//308 Phonon::MediaObject::tr(const char*)
    {19, 506, 13, 1, Smoke::mf_static, 128, 52},	//309 Phonon::MediaObject::trUtf8(const char*)
    {19, 81, 0, 0, Smoke::mf_ctor, 35, 53},	//310 Phonon::MediaObject::MediaObject()
    {19, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 54},	//311 Phonon::MediaObject::staticMetaObject() const
    {19, 537, 0, 0, Smoke::mf_dtor, 0, 55 },	//312 Phonon::MediaObject::~MediaObject()
    {20, 83, 0, 0, Smoke::mf_ctor, 38, 1},	//313 Phonon::MediaSource::MediaSource()
    {20, 83, 54, 1, Smoke::mf_ctor, 38, 2},	//314 Phonon::MediaSource::MediaSource(const QString&)
    {20, 83, 140, 1, Smoke::mf_ctor, 38, 3},	//315 Phonon::MediaSource::MediaSource(const QUrl&)
    {20, 83, 142, 2, Smoke::mf_ctor, 38, 4},	//316 Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    {20, 83, 145, 1, Smoke::mf_ctor, 38, 5},	//317 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    {20, 83, 147, 1, Smoke::mf_ctor, 38, 6},	//318 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    {20, 83, 149, 2, Smoke::mf_ctor, 38, 7},	//319 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    {20, 83, 152, 1, Smoke::mf_ctor, 38, 8},	//320 Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    {20, 83, 154, 1, Smoke::mf_ctor, 38, 9},	//321 Phonon::MediaSource::MediaSource(QIODevice*)
    {20, 83, 127, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 10},	//322 Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    {20, 330, 127, 1, 0, 37, 11},	//323 Phonon::MediaSource::operator=(const Phonon::MediaSource&)
    {20, 333, 127, 1, Smoke::mf_const, 214, 12},	//324 Phonon::MediaSource::operator==(const Phonon::MediaSource&) const
    {20, 394, 33, 1, 0, 0, 13},	//325 Phonon::MediaSource::setAutoDelete(bool)
    {20, 153, 0, 0, Smoke::mf_const, 214, 14},	//326 Phonon::MediaSource::autoDelete() const
    {20, 514, 0, 0, Smoke::mf_const, 39, 15},	//327 Phonon::MediaSource::type() const
    {20, 250, 0, 0, Smoke::mf_const, 128, 16},	//328 Phonon::MediaSource::fileName() const
    {20, 318, 0, 0, Smoke::mf_const, 42, 17},	//329 Phonon::MediaSource::mrl() const
    {20, 515, 0, 0, Smoke::mf_const, 134, 18},	//330 Phonon::MediaSource::url() const
    {20, 215, 0, 0, Smoke::mf_const, 19, 19},	//331 Phonon::MediaSource::discType() const
    {20, 213, 0, 0, Smoke::mf_const, 236, 20},	//332 Phonon::MediaSource::deviceAccessList() const
    {20, 214, 0, 0, Smoke::mf_const, 128, 21},	//333 Phonon::MediaSource::deviceName() const
    {20, 484, 0, 0, Smoke::mf_const, 3, 22},	//334 Phonon::MediaSource::stream() const
    {20, 151, 0, 0, Smoke::mf_const, 45, 23},	//335 Phonon::MediaSource::audioCaptureDevice() const
    {20, 516, 0, 0, Smoke::mf_const, 50, 24},	//336 Phonon::MediaSource::videoCaptureDevice() const
    {20, 83, 156, 1, Smoke::mf_ctor|Smoke::mf_protected, 38, 25},	//337 Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    {20, 83, 158, 1, Smoke::mf_ctor|Smoke::mf_protected, 38, 26},	//338 Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    {20, 83, 160, 1, Smoke::mf_ctor, 38, 27},	//339 Phonon::MediaSource::MediaSource(Phonon::DiscType)
    {20, 83, 162, 1, Smoke::mf_ctor, 38, 28},	//340 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    {20, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 29},	//341 Phonon::MediaSource::Invalid (enum)
    {20, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//342 Phonon::MediaSource::LocalFile (enum)
    {20, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//343 Phonon::MediaSource::Url (enum)
    {20, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//344 Phonon::MediaSource::Disc (enum)
    {20, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//345 Phonon::MediaSource::Stream (enum)
    {20, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//346 Phonon::MediaSource::CaptureDevice (enum)
    {20, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 35},	//347 Phonon::MediaSource::Empty (enum)
    {20, 538, 0, 0, Smoke::mf_dtor, 0, 36 },	//348 Phonon::MediaSource::~MediaSource()
    {22, 88, 0, 0, Smoke::mf_ctor, 44, 1},	//349 Phonon::Mrl::Mrl()
    {22, 88, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 2},	//350 Phonon::Mrl::Mrl(const Phonon::Mrl&)
    {22, 88, 140, 1, Smoke::mf_ctor, 44, 3},	//351 Phonon::Mrl::Mrl(const QUrl&)
    {22, 88, 54, 1, Smoke::mf_ctor, 44, 4},	//352 Phonon::Mrl::Mrl(const QString&)
    {22, 330, 164, 1, 0, 43, 5},	//353 Phonon::Mrl::operator=(const Phonon::Mrl&)
    {22, 330, 54, 1, 0, 43, 6},	//354 Phonon::Mrl::operator=(const QString&)
    {22, 497, 166, 1, Smoke::mf_const, 76, 7},	//355 Phonon::Mrl::toEncoded(QFlags<QUrl::FormattingOption>) const
    {22, 497, 0, 0, Smoke::mf_const, 76, 8},	//356 Phonon::Mrl::toEncoded() const
    {22, 539, 0, 0, Smoke::mf_dtor, 0, 9 },	//357 Phonon::Mrl::~Mrl()
    {23, 333, 168, 1, Smoke::mf_const, 214, 1},	//358 Phonon::ObjectDescriptionData::operator==(const Phonon::ObjectDescriptionData&) const
    {23, 321, 0, 0, Smoke::mf_const, 128, 2},	//359 Phonon::ObjectDescriptionData::name() const
    {23, 211, 0, 0, Smoke::mf_const, 128, 3},	//360 Phonon::ObjectDescriptionData::description() const
    {23, 358, 13, 1, Smoke::mf_const, 136, 4},	//361 Phonon::ObjectDescriptionData::property(const char*) const
    {23, 360, 0, 0, Smoke::mf_const, 108, 5},	//362 Phonon::ObjectDescriptionData::propertyNames() const
    {23, 285, 0, 0, Smoke::mf_const, 214, 6},	//363 Phonon::ObjectDescriptionData::isValid() const
    {23, 269, 0, 0, Smoke::mf_const, 256, 7},	//364 Phonon::ObjectDescriptionData::index() const
    {23, 258, 170, 2, Smoke::mf_static, 52, 8},	//365 Phonon::ObjectDescriptionData::fromIndex(Phonon::ObjectDescriptionType, int)
    {23, 100, 173, 1, Smoke::mf_ctor, 52, 9},	//366 Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    {23, 100, 175, 2, Smoke::mf_ctor, 52, 10},	//367 Phonon::ObjectDescriptionData::ObjectDescriptionData(int, const QHash<QByteArray,QVariant>&)
    {23, 100, 168, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 11},	//368 Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    {23, 100, 0, 0, Smoke::mf_ctor, 52, 12},	//369 Phonon::ObjectDescriptionData::ObjectDescriptionData()
    {23, 540, 0, 0, Smoke::mf_dtor, 0, 13 },	//370 Phonon::ObjectDescriptionData::~ObjectDescriptionData()
    {24, 379, 178, 1, Smoke::mf_const, 256, 1},	//371 Phonon::ObjectDescriptionModelData::rowCount(const QModelIndex&) const
    {24, 204, 180, 2, Smoke::mf_const, 136, 2},	//372 Phonon::ObjectDescriptionModelData::data(const QModelIndex&, int) const
    {24, 252, 178, 1, Smoke::mf_const, 90, 3},	//373 Phonon::ObjectDescriptionModelData::flags(const QModelIndex&) const
    {24, 513, 0, 0, Smoke::mf_const, 111, 4},	//374 Phonon::ObjectDescriptionModelData::tupleIndexOrder() const
    {24, 511, 47, 1, Smoke::mf_const, 256, 5},	//375 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex(int) const
    {24, 300, 183, 2, Smoke::mf_const, 114, 6},	//376 Phonon::ObjectDescriptionModelData::mimeData(Phonon::ObjectDescriptionType, const QList<QModelIndex>&) const
    {24, 316, 178, 1, 0, 0, 7},	//377 Phonon::ObjectDescriptionModelData::moveUp(const QModelIndex&)
    {24, 313, 178, 1, 0, 0, 8},	//378 Phonon::ObjectDescriptionModelData::moveDown(const QModelIndex&)
    {24, 432, 186, 1, 0, 0, 9},	//379 Phonon::ObjectDescriptionModelData::setModelData(const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&)
    {24, 306, 0, 0, Smoke::mf_const, 109, 10},	//380 Phonon::ObjectDescriptionModelData::modelData() const
    {24, 306, 178, 1, Smoke::mf_const, 85, 11},	//381 Phonon::ObjectDescriptionModelData::modelData(const QModelIndex&) const
    {24, 488, 0, 0, Smoke::mf_const, 89, 12},	//382 Phonon::ObjectDescriptionModelData::supportedDropActions() const
    {24, 222, 188, 6, 0, 214, 13},	//383 Phonon::ObjectDescriptionModelData::dropMimeData(Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {24, 374, 195, 3, 0, 214, 14},	//384 Phonon::ObjectDescriptionModelData::removeRows(int, int, const QModelIndex&)
    {24, 302, 199, 1, Smoke::mf_const, 129, 15},	//385 Phonon::ObjectDescriptionModelData::mimeTypes(Phonon::ObjectDescriptionType) const
    {24, 103, 201, 1, Smoke::mf_ctor, 53, 16},	//386 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    {24, 103, 203, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 17},	//387 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    {24, 379, 0, 0, Smoke::mf_const, 256, 18},	//388 Phonon::ObjectDescriptionModelData::rowCount() const
    {24, 204, 178, 1, Smoke::mf_const, 136, 19},	//389 Phonon::ObjectDescriptionModelData::data(const QModelIndex&) const
    {24, 374, 205, 2, 0, 214, 20},	//390 Phonon::ObjectDescriptionModelData::removeRows(int, int)
    {24, 541, 0, 0, Smoke::mf_dtor, 0, 21 },	//391 Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData()
    {26, 105, 0, 0, Smoke::mf_ctor, 58, 1},	//392 Phonon::Path::Path()
    {26, 105, 208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//393 Phonon::Path::Path(const Phonon::Path&)
    {26, 285, 0, 0, Smoke::mf_const, 214, 3},	//394 Phonon::Path::isValid() const
    {26, 273, 210, 2, 0, 20, 4},	//395 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*)
    {26, 273, 213, 2, 0, 214, 5},	//396 Phonon::Path::insertEffect(Phonon::Effect*, Phonon::Effect*)
    {26, 372, 109, 1, 0, 214, 6},	//397 Phonon::Path::removeEffect(Phonon::Effect*)
    {26, 224, 0, 0, Smoke::mf_const, 99, 7},	//398 Phonon::Path::effects() const
    {26, 368, 7, 2, 0, 214, 8},	//399 Phonon::Path::reconnect(Phonon::MediaNode*, Phonon::MediaNode*)
    {26, 216, 0, 0, 0, 214, 9},	//400 Phonon::Path::disconnect()
    {26, 330, 208, 1, 0, 57, 10},	//401 Phonon::Path::operator=(const Phonon::Path&)
    {26, 333, 208, 1, Smoke::mf_const, 214, 11},	//402 Phonon::Path::operator==(const Phonon::Path&) const
    {26, 326, 208, 1, Smoke::mf_const, 214, 12},	//403 Phonon::Path::operator!=(const Phonon::Path&) const
    {26, 478, 0, 0, Smoke::mf_const, 33, 13},	//404 Phonon::Path::source() const
    {26, 475, 0, 0, Smoke::mf_const, 33, 14},	//405 Phonon::Path::sink() const
    {26, 273, 69, 1, 0, 20, 15},	//406 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {26, 273, 109, 1, 0, 214, 16},	//407 Phonon::Path::insertEffect(Phonon::Effect*)
    {26, 542, 0, 0, Smoke::mf_dtor, 0, 17 },	//408 Phonon::Path::~Path()
    {27, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//409 Phonon::SeekSlider::metaObject() const
    {27, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//410 Phonon::SeekSlider::qt_metacast(const char*)
    {27, 502, 15, 2, Smoke::mf_static, 128, 3},	//411 Phonon::SeekSlider::tr(const char*, const char*)
    {27, 506, 15, 2, Smoke::mf_static, 128, 4},	//412 Phonon::SeekSlider::trUtf8(const char*, const char*)
    {27, 502, 18, 3, Smoke::mf_static, 128, 5},	//413 Phonon::SeekSlider::tr(const char*, const char*, int)
    {27, 506, 18, 3, Smoke::mf_static, 128, 6},	//414 Phonon::SeekSlider::trUtf8(const char*, const char*, int)
    {27, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//415 Phonon::SeekSlider::qt_metacall(QMetaObject::Call, int, void**)
    {27, 114, 216, 1, Smoke::mf_ctor, 59, 8},	//416 Phonon::SeekSlider::SeekSlider(QWidget*)
    {27, 114, 218, 2, Smoke::mf_ctor, 59, 9},	//417 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*, QWidget*)
    {27, 260, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 10},	//418 Phonon::SeekSlider::hasTracking() const
    {27, 464, 33, 1, Smoke::mf_property, 0, 11},	//419 Phonon::SeekSlider::setTracking(bool)
    {27, 342, 0, 0, Smoke::mf_const|Smoke::mf_property, 256, 12},	//420 Phonon::SeekSlider::pageStep() const
    {27, 444, 47, 1, Smoke::mf_property, 0, 13},	//421 Phonon::SeekSlider::setPageStep(int)
    {27, 474, 0, 0, Smoke::mf_const|Smoke::mf_property, 256, 14},	//422 Phonon::SeekSlider::singleStep() const
    {27, 456, 47, 1, Smoke::mf_property, 0, 15},	//423 Phonon::SeekSlider::setSingleStep(int)
    {27, 337, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 16},	//424 Phonon::SeekSlider::orientation() const
    {27, 278, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 17},	//425 Phonon::SeekSlider::isIconVisible() const
    {27, 267, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 18},	//426 Phonon::SeekSlider::iconSize() const
    {27, 294, 0, 0, Smoke::mf_const, 35, 19},	//427 Phonon::SeekSlider::mediaObject() const
    {27, 440, 221, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//428 Phonon::SeekSlider::setOrientation(Qt::Orientation)
    {27, 426, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//429 Phonon::SeekSlider::setIconVisible(bool)
    {27, 424, 223, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//430 Phonon::SeekSlider::setIconSize(const QSize&)
    {27, 430, 111, 1, Smoke::mf_slot, 0, 23},	//431 Phonon::SeekSlider::setMediaObject(Phonon::MediaObject*)
    {27, 502, 13, 1, Smoke::mf_static, 128, 24},	//432 Phonon::SeekSlider::tr(const char*)
    {27, 506, 13, 1, Smoke::mf_static, 128, 25},	//433 Phonon::SeekSlider::trUtf8(const char*)
    {27, 114, 0, 0, Smoke::mf_ctor, 59, 26},	//434 Phonon::SeekSlider::SeekSlider()
    {27, 114, 111, 1, Smoke::mf_ctor, 59, 27},	//435 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    {27, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 28},	//436 Phonon::SeekSlider::staticMetaObject() const
    {27, 543, 0, 0, Smoke::mf_dtor, 0, 29 },	//437 Phonon::SeekSlider::~SeekSlider()
    {28, 524, 35, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//438 Phonon::StreamInterface::writeData(const QByteArray&) [pure virtual]
    {28, 226, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//439 Phonon::StreamInterface::endOfData() [pure virtual]
    {28, 460, 31, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//440 Phonon::StreamInterface::setStreamSize(long long) [pure virtual]
    {28, 458, 33, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//441 Phonon::StreamInterface::setStreamSeekable(bool) [pure virtual]
    {28, 185, 127, 1, 0, 0, 5},	//442 Phonon::StreamInterface::connectToSource(const Phonon::MediaSource&)
    {28, 324, 0, 0, 0, 0, 6},	//443 Phonon::StreamInterface::needData()
    {28, 229, 0, 0, 0, 0, 7},	//444 Phonon::StreamInterface::enoughData()
    {28, 386, 31, 1, 0, 0, 8},	//445 Phonon::StreamInterface::seekStream(long long)
    {28, 377, 0, 0, 0, 0, 9},	//446 Phonon::StreamInterface::reset()
    {28, 119, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 61, 10},	//447 Phonon::StreamInterface::StreamInterface()
    {28, 119, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 11},	//448 Phonon::StreamInterface::StreamInterface(const Phonon::StreamInterface&)
    {28, 544, 0, 0, Smoke::mf_dtor, 0, 12 },	//449 Phonon::StreamInterface::~StreamInterface()
    {29, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//450 Phonon::VideoPlayer::metaObject() const
    {29, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//451 Phonon::VideoPlayer::qt_metacast(const char*)
    {29, 502, 15, 2, Smoke::mf_static, 128, 3},	//452 Phonon::VideoPlayer::tr(const char*, const char*)
    {29, 506, 15, 2, Smoke::mf_static, 128, 4},	//453 Phonon::VideoPlayer::trUtf8(const char*, const char*)
    {29, 502, 18, 3, Smoke::mf_static, 128, 5},	//454 Phonon::VideoPlayer::tr(const char*, const char*, int)
    {29, 506, 18, 3, Smoke::mf_static, 128, 6},	//455 Phonon::VideoPlayer::trUtf8(const char*, const char*, int)
    {29, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//456 Phonon::VideoPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {29, 133, 227, 2, Smoke::mf_ctor, 65, 8},	//457 Phonon::VideoPlayer::VideoPlayer(Phonon::Category, QWidget*)
    {29, 133, 216, 1, Smoke::mf_ctor, 65, 9},	//458 Phonon::VideoPlayer::VideoPlayer(QWidget*)
    {29, 499, 0, 0, Smoke::mf_const, 257, 10},	//459 Phonon::VideoPlayer::totalTime() const
    {29, 201, 0, 0, Smoke::mf_const, 257, 11},	//460 Phonon::VideoPlayer::currentTime() const
    {29, 518, 0, 0, Smoke::mf_const, 255, 12},	//461 Phonon::VideoPlayer::volume() const
    {29, 283, 0, 0, Smoke::mf_const, 214, 13},	//462 Phonon::VideoPlayer::isPlaying() const
    {29, 282, 0, 0, Smoke::mf_const, 214, 14},	//463 Phonon::VideoPlayer::isPaused() const
    {29, 294, 0, 0, Smoke::mf_const, 35, 15},	//464 Phonon::VideoPlayer::mediaObject() const
    {29, 152, 0, 0, Smoke::mf_const, 12, 16},	//465 Phonon::VideoPlayer::audioOutput() const
    {29, 517, 0, 0, Smoke::mf_const, 66, 17},	//466 Phonon::VideoPlayer::videoWidget() const
    {29, 290, 127, 1, Smoke::mf_slot, 0, 18},	//467 Phonon::VideoPlayer::load(const Phonon::MediaSource&)
    {29, 351, 127, 1, Smoke::mf_slot, 0, 19},	//468 Phonon::VideoPlayer::play(const Phonon::MediaSource&)
    {29, 351, 0, 0, Smoke::mf_slot, 0, 20},	//469 Phonon::VideoPlayer::play()
    {29, 349, 0, 0, Smoke::mf_slot, 0, 21},	//470 Phonon::VideoPlayer::pause()
    {29, 483, 0, 0, Smoke::mf_slot, 0, 22},	//471 Phonon::VideoPlayer::stop()
    {29, 384, 135, 1, Smoke::mf_slot, 0, 23},	//472 Phonon::VideoPlayer::seek(qint64)
    {29, 469, 230, 1, Smoke::mf_slot, 0, 24},	//473 Phonon::VideoPlayer::setVolume(float)
    {29, 251, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//474 Phonon::VideoPlayer::finished()
    {29, 239, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 26},	//475 Phonon::VideoPlayer::event(QEvent*)
    {29, 502, 13, 1, Smoke::mf_static, 128, 27},	//476 Phonon::VideoPlayer::tr(const char*)
    {29, 506, 13, 1, Smoke::mf_static, 128, 28},	//477 Phonon::VideoPlayer::trUtf8(const char*)
    {29, 133, 1, 1, Smoke::mf_ctor, 65, 29},	//478 Phonon::VideoPlayer::VideoPlayer(Phonon::Category)
    {29, 133, 0, 0, Smoke::mf_ctor, 65, 30},	//479 Phonon::VideoPlayer::VideoPlayer()
    {29, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 31},	//480 Phonon::VideoPlayer::staticMetaObject() const
    {29, 545, 0, 0, Smoke::mf_dtor, 0, 32 },	//481 Phonon::VideoPlayer::~VideoPlayer()
    {30, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//482 Phonon::VideoWidget::metaObject() const
    {30, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//483 Phonon::VideoWidget::qt_metacast(const char*)
    {30, 502, 15, 2, Smoke::mf_static, 128, 3},	//484 Phonon::VideoWidget::tr(const char*, const char*)
    {30, 506, 15, 2, Smoke::mf_static, 128, 4},	//485 Phonon::VideoWidget::trUtf8(const char*, const char*)
    {30, 502, 18, 3, Smoke::mf_static, 128, 5},	//486 Phonon::VideoWidget::tr(const char*, const char*, int)
    {30, 506, 18, 3, Smoke::mf_static, 128, 6},	//487 Phonon::VideoWidget::trUtf8(const char*, const char*, int)
    {30, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//488 Phonon::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {30, 138, 216, 1, Smoke::mf_ctor, 66, 8},	//489 Phonon::VideoWidget::VideoWidget(QWidget*)
    {30, 150, 0, 0, Smoke::mf_const|Smoke::mf_property, 67, 9},	//490 Phonon::VideoWidget::aspectRatio() const
    {30, 383, 0, 0, Smoke::mf_const|Smoke::mf_property, 68, 10},	//491 Phonon::VideoWidget::scaleMode() const
    {30, 171, 0, 0, Smoke::mf_const, 254, 11},	//492 Phonon::VideoWidget::brightness() const
    {30, 188, 0, 0, Smoke::mf_const, 254, 12},	//493 Phonon::VideoWidget::contrast() const
    {30, 266, 0, 0, Smoke::mf_const, 254, 13},	//494 Phonon::VideoWidget::hue() const
    {30, 382, 0, 0, Smoke::mf_const, 254, 14},	//495 Phonon::VideoWidget::saturation() const
    {30, 477, 0, 0, Smoke::mf_const, 94, 15},	//496 Phonon::VideoWidget::snapshot() const
    {30, 420, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//497 Phonon::VideoWidget::setFullScreen(bool)
    {30, 242, 0, 0, Smoke::mf_slot, 0, 17},	//498 Phonon::VideoWidget::exitFullScreen()
    {30, 234, 0, 0, Smoke::mf_slot, 0, 18},	//499 Phonon::VideoWidget::enterFullScreen()
    {30, 390, 234, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//500 Phonon::VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio)
    {30, 454, 236, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//501 Phonon::VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode)
    {30, 398, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//502 Phonon::VideoWidget::setBrightness(qreal)
    {30, 400, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//503 Phonon::VideoWidget::setContrast(qreal)
    {30, 422, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//504 Phonon::VideoWidget::setHue(qreal)
    {30, 452, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//505 Phonon::VideoWidget::setSaturation(qreal)
    {30, 138, 238, 2, Smoke::mf_ctor|Smoke::mf_protected, 66, 25},	//506 Phonon::VideoWidget::VideoWidget(Phonon::VideoWidgetPrivate&, QWidget*)
    {30, 309, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//507 Phonon::VideoWidget::mouseMoveEvent(QMouseEvent*)
    {30, 239, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 27},	//508 Phonon::VideoWidget::event(QEvent*)
    {30, 502, 13, 1, Smoke::mf_static, 128, 28},	//509 Phonon::VideoWidget::tr(const char*)
    {30, 506, 13, 1, Smoke::mf_static, 128, 29},	//510 Phonon::VideoWidget::trUtf8(const char*)
    {30, 138, 0, 0, Smoke::mf_ctor, 66, 30},	//511 Phonon::VideoWidget::VideoWidget()
    {30, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 31},	//512 Phonon::VideoWidget::staticMetaObject() const
    {30, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 32},	//513 Phonon::VideoWidget::AspectRatioAuto (enum)
    {30, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 33},	//514 Phonon::VideoWidget::AspectRatioWidget (enum)
    {30, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 34},	//515 Phonon::VideoWidget::AspectRatio4_3 (enum)
    {30, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 35},	//516 Phonon::VideoWidget::AspectRatio16_9 (enum)
    {30, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 36},	//517 Phonon::VideoWidget::FitInView (enum)
    {30, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 37},	//518 Phonon::VideoWidget::ScaleAndCrop (enum)
    {30, 546, 0, 0, Smoke::mf_dtor, 0, 38 },	//519 Phonon::VideoWidget::~VideoWidget()
    {32, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//520 Phonon::VolumeFaderEffect::metaObject() const
    {32, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//521 Phonon::VolumeFaderEffect::qt_metacast(const char*)
    {32, 502, 15, 2, Smoke::mf_static, 128, 3},	//522 Phonon::VolumeFaderEffect::tr(const char*, const char*)
    {32, 506, 15, 2, Smoke::mf_static, 128, 4},	//523 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*)
    {32, 502, 18, 3, Smoke::mf_static, 128, 5},	//524 Phonon::VolumeFaderEffect::tr(const char*, const char*, int)
    {32, 506, 18, 3, Smoke::mf_static, 128, 6},	//525 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*, int)
    {32, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//526 Phonon::VolumeFaderEffect::qt_metacall(QMetaObject::Call, int, void**)
    {32, 141, 29, 1, Smoke::mf_ctor, 70, 8},	//527 Phonon::VolumeFaderEffect::VolumeFaderEffect(QObject*)
    {32, 518, 0, 0, Smoke::mf_const|Smoke::mf_property, 255, 9},	//528 Phonon::VolumeFaderEffect::volume() const
    {32, 521, 0, 0, Smoke::mf_const|Smoke::mf_property, 254, 10},	//529 Phonon::VolumeFaderEffect::volumeDecibel() const
    {32, 243, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 11},	//530 Phonon::VolumeFaderEffect::fadeCurve() const
    {32, 244, 47, 1, Smoke::mf_slot, 0, 12},	//531 Phonon::VolumeFaderEffect::fadeIn(int)
    {32, 246, 47, 1, Smoke::mf_slot, 0, 13},	//532 Phonon::VolumeFaderEffect::fadeOut(int)
    {32, 469, 230, 1, Smoke::mf_property|Smoke::mf_slot, 0, 14},	//533 Phonon::VolumeFaderEffect::setVolume(float)
    {32, 471, 243, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//534 Phonon::VolumeFaderEffect::setVolumeDecibel(double)
    {32, 418, 245, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//535 Phonon::VolumeFaderEffect::setFadeCurve(Phonon::VolumeFaderEffect::FadeCurve)
    {32, 248, 247, 2, Smoke::mf_slot, 0, 17},	//536 Phonon::VolumeFaderEffect::fadeTo(float, int)
    {32, 502, 13, 1, Smoke::mf_static, 128, 18},	//537 Phonon::VolumeFaderEffect::tr(const char*)
    {32, 506, 13, 1, Smoke::mf_static, 128, 19},	//538 Phonon::VolumeFaderEffect::trUtf8(const char*)
    {32, 141, 0, 0, Smoke::mf_ctor, 70, 20},	//539 Phonon::VolumeFaderEffect::VolumeFaderEffect()
    {32, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 21},	//540 Phonon::VolumeFaderEffect::staticMetaObject() const
    {32, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 22},	//541 Phonon::VolumeFaderEffect::Fade3Decibel (enum)
    {32, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 23},	//542 Phonon::VolumeFaderEffect::Fade6Decibel (enum)
    {32, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 24},	//543 Phonon::VolumeFaderEffect::Fade9Decibel (enum)
    {32, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 25},	//544 Phonon::VolumeFaderEffect::Fade12Decibel (enum)
    {32, 547, 0, 0, Smoke::mf_dtor, 0, 26 },	//545 Phonon::VolumeFaderEffect::~VolumeFaderEffect()
    {33, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 241, 1},	//546 Phonon::VolumeSlider::metaObject() const
    {33, 365, 13, 1, Smoke::mf_virtual, 263, 2},	//547 Phonon::VolumeSlider::qt_metacast(const char*)
    {33, 502, 15, 2, Smoke::mf_static, 128, 3},	//548 Phonon::VolumeSlider::tr(const char*, const char*)
    {33, 506, 15, 2, Smoke::mf_static, 128, 4},	//549 Phonon::VolumeSlider::trUtf8(const char*, const char*)
    {33, 502, 18, 3, Smoke::mf_static, 128, 5},	//550 Phonon::VolumeSlider::tr(const char*, const char*, int)
    {33, 506, 18, 3, Smoke::mf_static, 128, 6},	//551 Phonon::VolumeSlider::trUtf8(const char*, const char*, int)
    {33, 363, 22, 3, Smoke::mf_virtual, 256, 7},	//552 Phonon::VolumeSlider::qt_metacall(QMetaObject::Call, int, void**)
    {33, 143, 216, 1, Smoke::mf_ctor, 72, 8},	//553 Phonon::VolumeSlider::VolumeSlider(QWidget*)
    {33, 143, 250, 2, Smoke::mf_ctor, 72, 9},	//554 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*, QWidget*)
    {33, 260, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 10},	//555 Phonon::VolumeSlider::hasTracking() const
    {33, 464, 33, 1, Smoke::mf_property, 0, 11},	//556 Phonon::VolumeSlider::setTracking(bool)
    {33, 342, 0, 0, Smoke::mf_const|Smoke::mf_property, 256, 12},	//557 Phonon::VolumeSlider::pageStep() const
    {33, 444, 47, 1, Smoke::mf_property, 0, 13},	//558 Phonon::VolumeSlider::setPageStep(int)
    {33, 474, 0, 0, Smoke::mf_const|Smoke::mf_property, 256, 14},	//559 Phonon::VolumeSlider::singleStep() const
    {33, 456, 47, 1, Smoke::mf_property, 0, 15},	//560 Phonon::VolumeSlider::setSingleStep(int)
    {33, 280, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 16},	//561 Phonon::VolumeSlider::isMuteVisible() const
    {33, 267, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 17},	//562 Phonon::VolumeSlider::iconSize() const
    {33, 293, 0, 0, Smoke::mf_const, 254, 18},	//563 Phonon::VolumeSlider::maximumVolume() const
    {33, 337, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 19},	//564 Phonon::VolumeSlider::orientation() const
    {33, 152, 0, 0, Smoke::mf_const, 12, 20},	//565 Phonon::VolumeSlider::audioOutput() const
    {33, 428, 56, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//566 Phonon::VolumeSlider::setMaximumVolume(qreal)
    {33, 440, 221, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//567 Phonon::VolumeSlider::setOrientation(Qt::Orientation)
    {33, 434, 33, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//568 Phonon::VolumeSlider::setMuteVisible(bool)
    {33, 424, 223, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//569 Phonon::VolumeSlider::setIconSize(const QSize&)
    {33, 392, 253, 1, Smoke::mf_slot, 0, 25},	//570 Phonon::VolumeSlider::setAudioOutput(Phonon::AudioOutput*)
    {33, 502, 13, 1, Smoke::mf_static, 128, 26},	//571 Phonon::VolumeSlider::tr(const char*)
    {33, 506, 13, 1, Smoke::mf_static, 128, 27},	//572 Phonon::VolumeSlider::trUtf8(const char*)
    {33, 143, 0, 0, Smoke::mf_ctor, 72, 28},	//573 Phonon::VolumeSlider::VolumeSlider()
    {33, 143, 253, 1, Smoke::mf_ctor, 72, 29},	//574 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    {33, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 240, 30},	//575 Phonon::VolumeSlider::staticMetaObject() const
    {33, 548, 0, 0, Smoke::mf_dtor, 0, 31 },	//576 Phonon::VolumeSlider::~VolumeSlider()
    {59, 239, 232, 1, Smoke::mf_virtual, 214, 0},	//577 QObject::event(QEvent*)
    {59, 241, 255, 2, Smoke::mf_virtual, 214, 0},	//578 QObject::eventFilter(QObject*, QEvent*)
    {59, 494, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QObject::timerEvent(QTimerEvent*)
    {59, 180, 260, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QObject::childEvent(QChildEvent*)
    {59, 203, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QObject::customEvent(QEvent*)
    {59, 184, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QObject::connectNotify(const char*)
    {59, 217, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QObject::disconnectNotify(const char*)
    {74, 212, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//584 QWidget::devType() const
    {74, 468, 33, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//585 QWidget::setVisible(bool)
    {74, 476, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 127, 0},	//586 QWidget::sizeHint() const
    {74, 304, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 127, 0},	//587 QWidget::minimumSizeHint() const
    {74, 264, 47, 1, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//588 QWidget::heightForWidth(int) const
    {74, 343, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 0},	//589 QWidget::paintEngine() const
    {74, 239, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//590 QWidget::event(QEvent*)
    {74, 311, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QWidget::mousePressEvent(QMouseEvent*)
    {74, 312, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//592 QWidget::mouseReleaseEvent(QMouseEvent*)
    {74, 308, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//593 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {74, 309, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QWidget::mouseMoveEvent(QMouseEvent*)
    {74, 522, 262, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::wheelEvent(QWheelEvent*)
    {74, 286, 264, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::keyPressEvent(QKeyEvent*)
    {74, 287, 264, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::keyReleaseEvent(QKeyEvent*)
    {74, 254, 266, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QWidget::focusInEvent(QFocusEvent*)
    {74, 256, 266, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//599 QWidget::focusOutEvent(QFocusEvent*)
    {74, 233, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//600 QWidget::enterEvent(QEvent*)
    {74, 289, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//601 QWidget::leaveEvent(QEvent*)
    {74, 344, 268, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//602 QWidget::paintEvent(QPaintEvent*)
    {74, 315, 270, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//603 QWidget::moveEvent(QMoveEvent*)
    {74, 378, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//604 QWidget::resizeEvent(QResizeEvent*)
    {74, 183, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//605 QWidget::closeEvent(QCloseEvent*)
    {74, 187, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//606 QWidget::contextMenuEvent(QContextMenuEvent*)
    {74, 490, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//607 QWidget::tabletEvent(QTabletEvent*)
    {74, 147, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//608 QWidget::actionEvent(QActionEvent*)
    {74, 218, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//609 QWidget::dragEnterEvent(QDragEnterEvent*)
    {74, 220, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//610 QWidget::dragMoveEvent(QDragMoveEvent*)
    {74, 219, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//611 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {74, 221, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//612 QWidget::dropEvent(QDropEvent*)
    {74, 473, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//613 QWidget::showEvent(QShowEvent*)
    {74, 265, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//614 QWidget::hideEvent(QHideEvent*)
    {74, 526, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//615 QWidget::x11Event(_XEvent*)
    {74, 177, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//616 QWidget::changeEvent(QEvent*)
    {74, 299, 296, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//617 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {74, 270, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//618 QWidget::inputMethodEvent(QInputMethodEvent*)
    {74, 271, 300, 1, Smoke::mf_const|Smoke::mf_virtual, 136, 0},	//619 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {74, 255, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//620 QWidget::focusNextPrevChild(bool)
    {74, 487, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//621 QWidget::styleChange(QStyle&)
    {74, 225, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//622 QWidget::enabledChange(bool)
    {74, 345, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//623 QWidget::paletteChange(const QPalette&)
    {74, 257, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//624 QWidget::fontChange(const QFont&)
    {74, 523, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//625 QWidget::windowActivationChange(bool)
    {74, 288, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//626 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    315,  // Phonon::MediaSource::MediaSource(const QUrl&)
    320,  // Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    321,  // Phonon::MediaSource::MediaSource(QIODevice*)
    322,  // Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    337,  // Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    0,
    314,  // Phonon::MediaSource::MediaSource(const QString&)
    339,  // Phonon::MediaSource::MediaSource(Phonon::DiscType)
    340,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    0,
    316,  // Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    319,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    0,
    317,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    318,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    338,  // Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    0,
    85,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    86,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    0,
    281,  // Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    282,  // Phonon::MediaObject::enqueue(const QList<QUrl>&)
    0,
    270,  // Phonon::MediaObject::metaData(const QString&) const
    271,  // Phonon::MediaObject::metaData(Phonon::MetaData) const
    0,
    278,  // Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    279,  // Phonon::MediaObject::setQueue(const QList<QUrl>&)
    0,
    386,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    387,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    0,
    366,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    368,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    0,
    416,  // Phonon::SeekSlider::SeekSlider(QWidget*)
    435,  // Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    0,
    553,  // Phonon::VolumeSlider::VolumeSlider(QWidget*)
    574,  // Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    0,
    1,  // Phonon::categoryToString(Phonon::Category)
    5,  // Phonon::categoryToString(Phonon::CaptureCategory)
    0,
    255,  // Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    256,  // Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    0,
    350,  // Phonon::Mrl::Mrl(const Phonon::Mrl&)
    351,  // Phonon::Mrl::Mrl(const QUrl&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 8, 40},	// Phonon::AccessibilityCategory
    {1, 9, 10},	// Phonon::AlbumMetaData
    {1, 12, 9},	// Phonon::ArtistMetaData
    {1, 17, 21},	// Phonon::AudioCaptureDeviceType
    {1, 18, 19},	// Phonon::AudioChannelType
    {1, 26, 17},	// Phonon::AudioOutputDeviceType
    {1, 28, 45},	// Phonon::BufferingState
    {1, 30, 24},	// Phonon::Cd
    {1, 34, 28},	// Phonon::CommunicationCaptureCategory
    {1, 35, 38},	// Phonon::CommunicationCategory
    {1, 36, 30},	// Phonon::ControlCaptureCategory
    {1, 37, 12},	// Phonon::DateMetaData
    {1, 38, 15},	// Phonon::DescriptionMetaData
    {1, 42, 25},	// Phonon::Dvd
    {1, 54, 18},	// Phonon::EffectType
    {1, 59, 47},	// Phonon::ErrorState
    {1, 64, 33},	// Phonon::FatalError
    {1, 66, 39},	// Phonon::GameCategory
    {1, 67, 13},	// Phonon::GenreMetaData
    {1, 71, 41},	// Phonon::LastCategory
    {1, 74, 42},	// Phonon::LoadingState
    {1, 91, 16},	// Phonon::MusicBrainzDiscIdMetaData
    {1, 92, 36},	// Phonon::MusicCategory
    {1, 94, 27},	// Phonon::NoCaptureCategory
    {1, 95, 34},	// Phonon::NoCategory
    {1, 96, 23},	// Phonon::NoDisc
    {1, 97, 31},	// Phonon::NoError
    {1, 98, 32},	// Phonon::NormalError
    {1, 99, 35},	// Phonon::NotificationCategory
    {1, 107, 46},	// Phonon::PausedState
    {1, 108, 44},	// Phonon::PlayingState
    {1, 109, 29},	// Phonon::RecordingCaptureCategory
    {1, 117, 43},	// Phonon::StoppedState
    {1, 122, 20},	// Phonon::SubtitleType
    {1, 125, 11},	// Phonon::TitleMetaData
    {1, 128, 14},	// Phonon::TracknumberMetaData
    {1, 130, 26},	// Phonon::Vcd
    {1, 131, 22},	// Phonon::VideoCaptureDeviceType
    {1, 132, 37},	// Phonon::VideoCategory
    {1, 176, -42},	// Phonon::categoryToString$
    {1, 190, 6},	// Phonon::createPath##
    {1, 192, 8},	// Phonon::createPlayer$
    {1, 193, 7},	// Phonon::createPlayer$#
    {1, 350, 2},	// Phonon::phononVersion
    {1, 362, 3},	// Phonon::qHash#
    {1, 370, 4},	// Phonon::registerMetaTypes
    {2, 2, 55},	// Phonon::AbstractAudioOutput::AbstractAudioOutput##
    {2, 298, 48},	// Phonon::AbstractAudioOutput::metaObject
    {2, 364, 54},	// Phonon::AbstractAudioOutput::qt_metacall$$?
    {2, 366, 49},	// Phonon::AbstractAudioOutput::qt_metacast$
    {2, 482, 58},	// Phonon::AbstractAudioOutput::staticMetaObject
    {2, 503, 56},	// Phonon::AbstractAudioOutput::tr$
    {2, 504, 50},	// Phonon::AbstractAudioOutput::tr$$
    {2, 505, 52},	// Phonon::AbstractAudioOutput::tr$$$
    {2, 507, 57},	// Phonon::AbstractAudioOutput::trUtf8$
    {2, 508, 51},	// Phonon::AbstractAudioOutput::trUtf8$$
    {2, 509, 53},	// Phonon::AbstractAudioOutput::trUtf8$$$
    {2, 527, 59},	// Phonon::AbstractAudioOutput::~AbstractAudioOutput
    {4, 3, 82},	// Phonon::AbstractMediaStream::AbstractMediaStream
    {4, 4, 67},	// Phonon::AbstractMediaStream::AbstractMediaStream#
    {4, 5, 79},	// Phonon::AbstractMediaStream::AbstractMediaStream##
    {4, 226, 73},	// Phonon::AbstractMediaStream::endOfData
    {4, 229, 77},	// Phonon::AbstractMediaStream::enoughData
    {4, 236, 74},	// Phonon::AbstractMediaStream::error$$
    {4, 298, 60},	// Phonon::AbstractMediaStream::metaObject
    {4, 324, 76},	// Phonon::AbstractMediaStream::needData
    {4, 364, 66},	// Phonon::AbstractMediaStream::qt_metacall$$?
    {4, 366, 61},	// Phonon::AbstractMediaStream::qt_metacast$
    {4, 377, 75},	// Phonon::AbstractMediaStream::reset
    {4, 387, 78},	// Phonon::AbstractMediaStream::seekStream$
    {4, 459, 71},	// Phonon::AbstractMediaStream::setStreamSeekable$
    {4, 461, 69},	// Phonon::AbstractMediaStream::setStreamSize$
    {4, 482, 83},	// Phonon::AbstractMediaStream::staticMetaObject
    {4, 485, 70},	// Phonon::AbstractMediaStream::streamSeekable
    {4, 486, 68},	// Phonon::AbstractMediaStream::streamSize
    {4, 503, 80},	// Phonon::AbstractMediaStream::tr$
    {4, 504, 62},	// Phonon::AbstractMediaStream::tr$$
    {4, 505, 64},	// Phonon::AbstractMediaStream::tr$$$
    {4, 507, 81},	// Phonon::AbstractMediaStream::trUtf8$
    {4, 508, 63},	// Phonon::AbstractMediaStream::trUtf8$$
    {4, 509, 65},	// Phonon::AbstractMediaStream::trUtf8$$$
    {4, 525, 72},	// Phonon::AbstractMediaStream::writeData#
    {4, 528, 84},	// Phonon::AbstractMediaStream::~AbstractMediaStream
    {6, 7, -18},	// Phonon::AbstractVideoOutput::AbstractVideoOutput#
    {6, 529, 87},	// Phonon::AbstractVideoOutput::~AbstractVideoOutput
    {8, 19, 103},	// Phonon::AudioDataOutput::AudioDataOutput
    {8, 20, 95},	// Phonon::AudioDataOutput::AudioDataOutput#
    {8, 31, 107},	// Phonon::AudioDataOutput::CenterChannel
    {8, 72, 105},	// Phonon::AudioDataOutput::LeftChannel
    {8, 73, 108},	// Phonon::AudioDataOutput::LeftSurroundChannel
    {8, 110, 106},	// Phonon::AudioDataOutput::RightChannel
    {8, 111, 109},	// Phonon::AudioDataOutput::RightSurroundChannel
    {8, 123, 110},	// Phonon::AudioDataOutput::SubwooferChannel
    {8, 208, 99},	// Phonon::AudioDataOutput::dataReady?
    {8, 209, 96},	// Phonon::AudioDataOutput::dataSize
    {8, 228, 100},	// Phonon::AudioDataOutput::endOfMedia$
    {8, 298, 88},	// Phonon::AudioDataOutput::metaObject
    {8, 364, 94},	// Phonon::AudioDataOutput::qt_metacall$$?
    {8, 366, 89},	// Phonon::AudioDataOutput::qt_metacast$
    {8, 381, 97},	// Phonon::AudioDataOutput::sampleRate
    {8, 417, 98},	// Phonon::AudioDataOutput::setDataSize$
    {8, 482, 104},	// Phonon::AudioDataOutput::staticMetaObject
    {8, 503, 101},	// Phonon::AudioDataOutput::tr$
    {8, 504, 90},	// Phonon::AudioDataOutput::tr$$
    {8, 505, 92},	// Phonon::AudioDataOutput::tr$$$
    {8, 507, 102},	// Phonon::AudioDataOutput::trUtf8$
    {8, 508, 91},	// Phonon::AudioDataOutput::trUtf8$$
    {8, 509, 93},	// Phonon::AudioDataOutput::trUtf8$$$
    {8, 530, 111},	// Phonon::AudioDataOutput::~AudioDataOutput
    {9, 22, 138},	// Phonon::AudioOutput::AudioOutput
    {9, 23, 120},	// Phonon::AudioOutput::AudioOutput#
    {9, 24, 137},	// Phonon::AudioOutput::AudioOutput$
    {9, 25, 119},	// Phonon::AudioOutput::AudioOutput$#
    {9, 174, 124},	// Phonon::AudioOutput::category
    {9, 281, 126},	// Phonon::AudioOutput::isMuted
    {9, 298, 112},	// Phonon::AudioOutput::metaObject
    {9, 320, 133},	// Phonon::AudioOutput::mutedChanged$
    {9, 321, 121},	// Phonon::AudioOutput::name
    {9, 338, 125},	// Phonon::AudioOutput::outputDevice
    {9, 340, 134},	// Phonon::AudioOutput::outputDeviceChanged?
    {9, 364, 118},	// Phonon::AudioOutput::qt_metacall$$?
    {9, 366, 113},	// Phonon::AudioOutput::qt_metacast$
    {9, 437, 131},	// Phonon::AudioOutput::setMuted$
    {9, 439, 127},	// Phonon::AudioOutput::setName$
    {9, 443, 130},	// Phonon::AudioOutput::setOutputDevice?
    {9, 470, 128},	// Phonon::AudioOutput::setVolume$
    {9, 472, 129},	// Phonon::AudioOutput::setVolumeDecibel$
    {9, 482, 139},	// Phonon::AudioOutput::staticMetaObject
    {9, 503, 135},	// Phonon::AudioOutput::tr$
    {9, 504, 114},	// Phonon::AudioOutput::tr$$
    {9, 505, 116},	// Phonon::AudioOutput::tr$$$
    {9, 507, 136},	// Phonon::AudioOutput::trUtf8$
    {9, 508, 115},	// Phonon::AudioOutput::trUtf8$$
    {9, 509, 117},	// Phonon::AudioOutput::trUtf8$$$
    {9, 518, 122},	// Phonon::AudioOutput::volume
    {9, 520, 132},	// Phonon::AudioOutput::volumeChanged$
    {9, 521, 123},	// Phonon::AudioOutput::volumeDecibel
    {9, 531, 140},	// Phonon::AudioOutput::~AudioOutput
    {11, 27, 141},	// Phonon::Capture::AudioType
    {11, 137, 142},	// Phonon::Capture::VideoType
    {12, 44, 155},	// Phonon::Effect::Effect##
    {12, 45, 158},	// Phonon::Effect::Effect?
    {12, 46, 150},	// Phonon::Effect::Effect?#
    {12, 211, 151},	// Phonon::Effect::description
    {12, 298, 143},	// Phonon::Effect::metaObject
    {12, 347, 153},	// Phonon::Effect::parameterValue#
    {12, 348, 152},	// Phonon::Effect::parameters
    {12, 364, 149},	// Phonon::Effect::qt_metacall$$?
    {12, 366, 144},	// Phonon::Effect::qt_metacast$
    {12, 447, 154},	// Phonon::Effect::setParameterValue##
    {12, 482, 159},	// Phonon::Effect::staticMetaObject
    {12, 503, 156},	// Phonon::Effect::tr$
    {12, 504, 145},	// Phonon::Effect::tr$$
    {12, 505, 147},	// Phonon::Effect::tr$$$
    {12, 507, 157},	// Phonon::Effect::trUtf8$
    {12, 508, 146},	// Phonon::Effect::trUtf8$$
    {12, 509, 148},	// Phonon::Effect::trUtf8$$$
    {12, 532, 160},	// Phonon::Effect::~Effect
    {13, 47, 161},	// Phonon::EffectParameter::EffectParameter
    {13, 48, 173},	// Phonon::EffectParameter::EffectParameter#
    {13, 49, 177},	// Phonon::EffectParameter::EffectParameter$$$#
    {13, 50, 178},	// Phonon::EffectParameter::EffectParameter$$$##
    {13, 51, 179},	// Phonon::EffectParameter::EffectParameter$$$###
    {13, 52, 180},	// Phonon::EffectParameter::EffectParameter$$$###?
    {13, 53, 175},	// Phonon::EffectParameter::EffectParameter$$$###?$
    {13, 69, 183},	// Phonon::EffectParameter::IntegerHint
    {13, 76, 182},	// Phonon::EffectParameter::LogarithmicHint
    {13, 127, 181},	// Phonon::EffectParameter::ToggledHint
    {13, 210, 168},	// Phonon::EffectParameter::defaultValue
    {13, 211, 163},	// Phonon::EffectParameter::description
    {13, 268, 176},	// Phonon::EffectParameter::id
    {13, 279, 165},	// Phonon::EffectParameter::isLogarithmicControl
    {13, 292, 167},	// Phonon::EffectParameter::maximumValue
    {13, 305, 166},	// Phonon::EffectParameter::minimumValue
    {13, 321, 162},	// Phonon::EffectParameter::name
    {13, 329, 170},	// Phonon::EffectParameter::operator<#
    {13, 331, 174},	// Phonon::EffectParameter::operator=#
    {13, 334, 172},	// Phonon::EffectParameter::operator==#
    {13, 336, 171},	// Phonon::EffectParameter::operator>#
    {13, 353, 169},	// Phonon::EffectParameter::possibleValues
    {13, 514, 164},	// Phonon::EffectParameter::type
    {13, 533, 184},	// Phonon::EffectParameter::~EffectParameter
    {15, 56, 195},	// Phonon::EffectWidget::EffectWidget#
    {15, 57, 192},	// Phonon::EffectWidget::EffectWidget##
    {15, 298, 185},	// Phonon::EffectWidget::metaObject
    {15, 364, 191},	// Phonon::EffectWidget::qt_metacall$$?
    {15, 366, 186},	// Phonon::EffectWidget::qt_metacast$
    {15, 482, 196},	// Phonon::EffectWidget::staticMetaObject
    {15, 503, 193},	// Phonon::EffectWidget::tr$
    {15, 504, 187},	// Phonon::EffectWidget::tr$$
    {15, 505, 189},	// Phonon::EffectWidget::tr$$$
    {15, 507, 194},	// Phonon::EffectWidget::trUtf8$
    {15, 508, 188},	// Phonon::EffectWidget::trUtf8$$
    {15, 509, 190},	// Phonon::EffectWidget::trUtf8$$$
    {15, 534, 197},	// Phonon::EffectWidget::~EffectWidget
    {16, 10, 250},	// Phonon::MediaController::AngleMenu
    {16, 11, 241},	// Phonon::MediaController::Angles
    {16, 21, 247},	// Phonon::MediaController::AudioMenu
    {16, 32, 249},	// Phonon::MediaController::ChapterMenu
    {16, 33, 242},	// Phonon::MediaController::Chapters
    {16, 78, 205},	// Phonon::MediaController::MediaController#
    {16, 93, 243},	// Phonon::MediaController::Navigations
    {16, 112, 245},	// Phonon::MediaController::RootMenu
    {16, 121, 248},	// Phonon::MediaController::SubtitleMenu
    {16, 124, 246},	// Phonon::MediaController::TitleMenu
    {16, 126, 244},	// Phonon::MediaController::Titles
    {16, 149, 235},	// Phonon::MediaController::angleChanged$
    {16, 154, 215},	// Phonon::MediaController::autoplayTitles
    {16, 155, 207},	// Phonon::MediaController::availableAngles
    {16, 157, 229},	// Phonon::MediaController::availableAnglesChanged$
    {16, 158, 218},	// Phonon::MediaController::availableAudioChannels
    {16, 159, 230},	// Phonon::MediaController::availableAudioChannelsChanged
    {16, 160, 209},	// Phonon::MediaController::availableChapters
    {16, 162, 231},	// Phonon::MediaController::availableChaptersChanged$
    {16, 163, 212},	// Phonon::MediaController::availableMenus
    {16, 165, 232},	// Phonon::MediaController::availableMenusChanged?
    {16, 166, 219},	// Phonon::MediaController::availableSubtitles
    {16, 167, 233},	// Phonon::MediaController::availableSubtitlesChanged
    {16, 168, 213},	// Phonon::MediaController::availableTitles
    {16, 170, 234},	// Phonon::MediaController::availableTitlesChanged$
    {16, 179, 236},	// Phonon::MediaController::chapterChanged$
    {16, 194, 208},	// Phonon::MediaController::currentAngle
    {16, 195, 216},	// Phonon::MediaController::currentAudioChannel
    {16, 196, 210},	// Phonon::MediaController::currentChapter
    {16, 200, 217},	// Phonon::MediaController::currentSubtitle
    {16, 202, 214},	// Phonon::MediaController::currentTitle
    {16, 298, 198},	// Phonon::MediaController::metaObject
    {16, 323, 211},	// Phonon::MediaController::navigationMenuToString$
    {16, 325, 227},	// Phonon::MediaController::nextTitle
    {16, 357, 228},	// Phonon::MediaController::previousTitle
    {16, 364, 204},	// Phonon::MediaController::qt_metacall$$?
    {16, 366, 199},	// Phonon::MediaController::qt_metacast$
    {16, 397, 226},	// Phonon::MediaController::setAutoplayTitles$
    {16, 403, 223},	// Phonon::MediaController::setCurrentAngle$
    {16, 405, 220},	// Phonon::MediaController::setCurrentAudioChannel?
    {16, 407, 224},	// Phonon::MediaController::setCurrentChapter$
    {16, 409, 221},	// Phonon::MediaController::setCurrentMenu$
    {16, 413, 222},	// Phonon::MediaController::setCurrentSubtitle?
    {16, 415, 225},	// Phonon::MediaController::setCurrentTitle$
    {16, 482, 240},	// Phonon::MediaController::staticMetaObject
    {16, 489, 206},	// Phonon::MediaController::supportedFeatures
    {16, 496, 237},	// Phonon::MediaController::titleChanged$
    {16, 503, 238},	// Phonon::MediaController::tr$
    {16, 504, 200},	// Phonon::MediaController::tr$$
    {16, 505, 202},	// Phonon::MediaController::tr$$$
    {16, 507, 239},	// Phonon::MediaController::trUtf8$
    {16, 508, 201},	// Phonon::MediaController::trUtf8$$
    {16, 509, 203},	// Phonon::MediaController::trUtf8$$$
    {16, 535, 251},	// Phonon::MediaController::~MediaController
    {17, 80, -45},	// Phonon::MediaNode::MediaNode#
    {17, 272, 253},	// Phonon::MediaNode::inputPaths
    {17, 285, 252},	// Phonon::MediaNode::isValid
    {17, 341, 254},	// Phonon::MediaNode::outputPaths
    {17, 536, 257},	// Phonon::MediaNode::~MediaNode
    {19, 81, 310},	// Phonon::MediaObject::MediaObject
    {19, 82, 265},	// Phonon::MediaObject::MediaObject#
    {19, 146, 305},	// Phonon::MediaObject::aboutToFinish
    {19, 173, 302},	// Phonon::MediaObject::bufferStatus$
    {19, 181, 296},	// Phonon::MediaObject::clear
    {19, 182, 283},	// Phonon::MediaObject::clearQueue
    {19, 197, 275},	// Phonon::MediaObject::currentSource
    {19, 199, 304},	// Phonon::MediaObject::currentSourceChanged#
    {19, 201, 284},	// Phonon::MediaObject::currentTime
    {19, 231, 280},	// Phonon::MediaObject::enqueue#
    {19, 232, -21},	// Phonon::MediaObject::enqueue?
    {19, 237, 273},	// Phonon::MediaObject::errorString
    {19, 238, 274},	// Phonon::MediaObject::errorType
    {19, 251, 303},	// Phonon::MediaObject::finished
    {19, 261, 267},	// Phonon::MediaObject::hasVideo
    {19, 263, 301},	// Phonon::MediaObject::hasVideoChanged$
    {19, 284, 268},	// Phonon::MediaObject::isSeekable
    {19, 295, 272},	// Phonon::MediaObject::metaData
    {19, 296, -24},	// Phonon::MediaObject::metaData$
    {19, 297, 299},	// Phonon::MediaObject::metaDataChanged
    {19, 298, 258},	// Phonon::MediaObject::metaObject
    {19, 349, 293},	// Phonon::MediaObject::pause
    {19, 351, 292},	// Phonon::MediaObject::play
    {19, 354, 287},	// Phonon::MediaObject::prefinishMark
    {19, 356, 306},	// Phonon::MediaObject::prefinishMarkReached$
    {19, 364, 264},	// Phonon::MediaObject::qt_metacall$$?
    {19, 366, 259},	// Phonon::MediaObject::qt_metacast$
    {19, 367, 277},	// Phonon::MediaObject::queue
    {19, 371, 286},	// Phonon::MediaObject::remainingTime
    {19, 385, 295},	// Phonon::MediaObject::seek$
    {19, 389, 300},	// Phonon::MediaObject::seekableChanged$
    {19, 411, 276},	// Phonon::MediaObject::setCurrentSource#
    {19, 449, 288},	// Phonon::MediaObject::setPrefinishMark$
    {19, 451, -27},	// Phonon::MediaObject::setQueue?
    {19, 463, 291},	// Phonon::MediaObject::setTickInterval$
    {19, 467, 290},	// Phonon::MediaObject::setTransitionTime$
    {19, 479, 266},	// Phonon::MediaObject::state
    {19, 481, 297},	// Phonon::MediaObject::stateChanged$$
    {19, 482, 311},	// Phonon::MediaObject::staticMetaObject
    {19, 483, 294},	// Phonon::MediaObject::stop
    {19, 492, 298},	// Phonon::MediaObject::tick$
    {19, 493, 269},	// Phonon::MediaObject::tickInterval
    {19, 499, 285},	// Phonon::MediaObject::totalTime
    {19, 501, 307},	// Phonon::MediaObject::totalTimeChanged$
    {19, 503, 308},	// Phonon::MediaObject::tr$
    {19, 504, 260},	// Phonon::MediaObject::tr$$
    {19, 505, 262},	// Phonon::MediaObject::tr$$$
    {19, 507, 309},	// Phonon::MediaObject::trUtf8$
    {19, 508, 261},	// Phonon::MediaObject::trUtf8$$
    {19, 509, 263},	// Phonon::MediaObject::trUtf8$$$
    {19, 510, 289},	// Phonon::MediaObject::transitionTime
    {19, 537, 312},	// Phonon::MediaObject::~MediaObject
    {20, 29, 346},	// Phonon::MediaSource::CaptureDevice
    {20, 39, 344},	// Phonon::MediaSource::Disc
    {20, 58, 347},	// Phonon::MediaSource::Empty
    {20, 70, 341},	// Phonon::MediaSource::Invalid
    {20, 75, 342},	// Phonon::MediaSource::LocalFile
    {20, 83, 313},	// Phonon::MediaSource::MediaSource
    {20, 84, -1},	// Phonon::MediaSource::MediaSource#
    {20, 85, -7},	// Phonon::MediaSource::MediaSource$
    {20, 86, -11},	// Phonon::MediaSource::MediaSource$$
    {20, 87, -14},	// Phonon::MediaSource::MediaSource?
    {20, 118, 345},	// Phonon::MediaSource::Stream
    {20, 129, 343},	// Phonon::MediaSource::Url
    {20, 151, 335},	// Phonon::MediaSource::audioCaptureDevice
    {20, 153, 326},	// Phonon::MediaSource::autoDelete
    {20, 213, 332},	// Phonon::MediaSource::deviceAccessList
    {20, 214, 333},	// Phonon::MediaSource::deviceName
    {20, 215, 331},	// Phonon::MediaSource::discType
    {20, 250, 328},	// Phonon::MediaSource::fileName
    {20, 318, 329},	// Phonon::MediaSource::mrl
    {20, 331, 323},	// Phonon::MediaSource::operator=#
    {20, 334, 324},	// Phonon::MediaSource::operator==#
    {20, 395, 325},	// Phonon::MediaSource::setAutoDelete$
    {20, 484, 334},	// Phonon::MediaSource::stream
    {20, 514, 327},	// Phonon::MediaSource::type
    {20, 515, 330},	// Phonon::MediaSource::url
    {20, 516, 336},	// Phonon::MediaSource::videoCaptureDevice
    {20, 538, 348},	// Phonon::MediaSource::~MediaSource
    {22, 88, 349},	// Phonon::Mrl::Mrl
    {22, 89, -48},	// Phonon::Mrl::Mrl#
    {22, 90, 352},	// Phonon::Mrl::Mrl$
    {22, 331, 353},	// Phonon::Mrl::operator=#
    {22, 332, 354},	// Phonon::Mrl::operator=$
    {22, 497, 356},	// Phonon::Mrl::toEncoded
    {22, 498, 355},	// Phonon::Mrl::toEncoded$
    {22, 539, 357},	// Phonon::Mrl::~Mrl
    {23, 100, 369},	// Phonon::ObjectDescriptionData::ObjectDescriptionData
    {23, 101, -33},	// Phonon::ObjectDescriptionData::ObjectDescriptionData#
    {23, 102, 367},	// Phonon::ObjectDescriptionData::ObjectDescriptionData$?
    {23, 211, 360},	// Phonon::ObjectDescriptionData::description
    {23, 259, 365},	// Phonon::ObjectDescriptionData::fromIndex$$
    {23, 269, 364},	// Phonon::ObjectDescriptionData::index
    {23, 285, 363},	// Phonon::ObjectDescriptionData::isValid
    {23, 321, 359},	// Phonon::ObjectDescriptionData::name
    {23, 334, 358},	// Phonon::ObjectDescriptionData::operator==#
    {23, 359, 361},	// Phonon::ObjectDescriptionData::property$
    {23, 360, 362},	// Phonon::ObjectDescriptionData::propertyNames
    {23, 540, 370},	// Phonon::ObjectDescriptionData::~ObjectDescriptionData
    {24, 104, -30},	// Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData#
    {24, 205, 389},	// Phonon::ObjectDescriptionModelData::data#
    {24, 206, 372},	// Phonon::ObjectDescriptionModelData::data#$
    {24, 223, 383},	// Phonon::ObjectDescriptionModelData::dropMimeData$#$$$#
    {24, 253, 373},	// Phonon::ObjectDescriptionModelData::flags#
    {24, 301, 376},	// Phonon::ObjectDescriptionModelData::mimeData$?
    {24, 303, 385},	// Phonon::ObjectDescriptionModelData::mimeTypes$
    {24, 306, 380},	// Phonon::ObjectDescriptionModelData::modelData
    {24, 307, 381},	// Phonon::ObjectDescriptionModelData::modelData#
    {24, 314, 378},	// Phonon::ObjectDescriptionModelData::moveDown#
    {24, 317, 377},	// Phonon::ObjectDescriptionModelData::moveUp#
    {24, 375, 390},	// Phonon::ObjectDescriptionModelData::removeRows$$
    {24, 376, 384},	// Phonon::ObjectDescriptionModelData::removeRows$$#
    {24, 379, 388},	// Phonon::ObjectDescriptionModelData::rowCount
    {24, 380, 371},	// Phonon::ObjectDescriptionModelData::rowCount#
    {24, 433, 379},	// Phonon::ObjectDescriptionModelData::setModelData?
    {24, 488, 382},	// Phonon::ObjectDescriptionModelData::supportedDropActions
    {24, 512, 375},	// Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex$
    {24, 513, 374},	// Phonon::ObjectDescriptionModelData::tupleIndexOrder
    {24, 541, 391},	// Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData
    {26, 105, 392},	// Phonon::Path::Path
    {26, 106, 393},	// Phonon::Path::Path#
    {26, 216, 400},	// Phonon::Path::disconnect
    {26, 224, 398},	// Phonon::Path::effects
    {26, 274, 407},	// Phonon::Path::insertEffect#
    {26, 275, 396},	// Phonon::Path::insertEffect##
    {26, 276, 406},	// Phonon::Path::insertEffect?
    {26, 277, 395},	// Phonon::Path::insertEffect?#
    {26, 285, 394},	// Phonon::Path::isValid
    {26, 327, 403},	// Phonon::Path::operator!=#
    {26, 331, 401},	// Phonon::Path::operator=#
    {26, 334, 402},	// Phonon::Path::operator==#
    {26, 369, 399},	// Phonon::Path::reconnect##
    {26, 373, 397},	// Phonon::Path::removeEffect#
    {26, 475, 405},	// Phonon::Path::sink
    {26, 478, 404},	// Phonon::Path::source
    {26, 542, 408},	// Phonon::Path::~Path
    {27, 114, 434},	// Phonon::SeekSlider::SeekSlider
    {27, 115, -36},	// Phonon::SeekSlider::SeekSlider#
    {27, 116, 417},	// Phonon::SeekSlider::SeekSlider##
    {27, 260, 418},	// Phonon::SeekSlider::hasTracking
    {27, 267, 426},	// Phonon::SeekSlider::iconSize
    {27, 278, 425},	// Phonon::SeekSlider::isIconVisible
    {27, 294, 427},	// Phonon::SeekSlider::mediaObject
    {27, 298, 409},	// Phonon::SeekSlider::metaObject
    {27, 337, 424},	// Phonon::SeekSlider::orientation
    {27, 342, 420},	// Phonon::SeekSlider::pageStep
    {27, 364, 415},	// Phonon::SeekSlider::qt_metacall$$?
    {27, 366, 410},	// Phonon::SeekSlider::qt_metacast$
    {27, 425, 430},	// Phonon::SeekSlider::setIconSize#
    {27, 427, 429},	// Phonon::SeekSlider::setIconVisible$
    {27, 431, 431},	// Phonon::SeekSlider::setMediaObject#
    {27, 441, 428},	// Phonon::SeekSlider::setOrientation$
    {27, 445, 421},	// Phonon::SeekSlider::setPageStep$
    {27, 457, 423},	// Phonon::SeekSlider::setSingleStep$
    {27, 465, 419},	// Phonon::SeekSlider::setTracking$
    {27, 474, 422},	// Phonon::SeekSlider::singleStep
    {27, 482, 436},	// Phonon::SeekSlider::staticMetaObject
    {27, 503, 432},	// Phonon::SeekSlider::tr$
    {27, 504, 411},	// Phonon::SeekSlider::tr$$
    {27, 505, 413},	// Phonon::SeekSlider::tr$$$
    {27, 507, 433},	// Phonon::SeekSlider::trUtf8$
    {27, 508, 412},	// Phonon::SeekSlider::trUtf8$$
    {27, 509, 414},	// Phonon::SeekSlider::trUtf8$$$
    {27, 543, 437},	// Phonon::SeekSlider::~SeekSlider
    {28, 119, 447},	// Phonon::StreamInterface::StreamInterface
    {28, 120, 448},	// Phonon::StreamInterface::StreamInterface#
    {28, 186, 442},	// Phonon::StreamInterface::connectToSource#
    {28, 226, 439},	// Phonon::StreamInterface::endOfData
    {28, 229, 444},	// Phonon::StreamInterface::enoughData
    {28, 324, 443},	// Phonon::StreamInterface::needData
    {28, 377, 446},	// Phonon::StreamInterface::reset
    {28, 387, 445},	// Phonon::StreamInterface::seekStream$
    {28, 459, 441},	// Phonon::StreamInterface::setStreamSeekable$
    {28, 461, 440},	// Phonon::StreamInterface::setStreamSize$
    {28, 525, 438},	// Phonon::StreamInterface::writeData#
    {28, 544, 449},	// Phonon::StreamInterface::~StreamInterface
    {29, 133, 479},	// Phonon::VideoPlayer::VideoPlayer
    {29, 134, 458},	// Phonon::VideoPlayer::VideoPlayer#
    {29, 135, 478},	// Phonon::VideoPlayer::VideoPlayer$
    {29, 136, 457},	// Phonon::VideoPlayer::VideoPlayer$#
    {29, 152, 465},	// Phonon::VideoPlayer::audioOutput
    {29, 201, 460},	// Phonon::VideoPlayer::currentTime
    {29, 240, 475},	// Phonon::VideoPlayer::event#
    {29, 251, 474},	// Phonon::VideoPlayer::finished
    {29, 282, 463},	// Phonon::VideoPlayer::isPaused
    {29, 283, 462},	// Phonon::VideoPlayer::isPlaying
    {29, 291, 467},	// Phonon::VideoPlayer::load#
    {29, 294, 464},	// Phonon::VideoPlayer::mediaObject
    {29, 298, 450},	// Phonon::VideoPlayer::metaObject
    {29, 349, 470},	// Phonon::VideoPlayer::pause
    {29, 351, 469},	// Phonon::VideoPlayer::play
    {29, 352, 468},	// Phonon::VideoPlayer::play#
    {29, 364, 456},	// Phonon::VideoPlayer::qt_metacall$$?
    {29, 366, 451},	// Phonon::VideoPlayer::qt_metacast$
    {29, 385, 472},	// Phonon::VideoPlayer::seek$
    {29, 470, 473},	// Phonon::VideoPlayer::setVolume$
    {29, 482, 480},	// Phonon::VideoPlayer::staticMetaObject
    {29, 483, 471},	// Phonon::VideoPlayer::stop
    {29, 499, 459},	// Phonon::VideoPlayer::totalTime
    {29, 503, 476},	// Phonon::VideoPlayer::tr$
    {29, 504, 452},	// Phonon::VideoPlayer::tr$$
    {29, 505, 454},	// Phonon::VideoPlayer::tr$$$
    {29, 507, 477},	// Phonon::VideoPlayer::trUtf8$
    {29, 508, 453},	// Phonon::VideoPlayer::trUtf8$$
    {29, 509, 455},	// Phonon::VideoPlayer::trUtf8$$$
    {29, 517, 466},	// Phonon::VideoPlayer::videoWidget
    {29, 518, 461},	// Phonon::VideoPlayer::volume
    {29, 545, 481},	// Phonon::VideoPlayer::~VideoPlayer
    {30, 13, 516},	// Phonon::VideoWidget::AspectRatio16_9
    {30, 14, 515},	// Phonon::VideoWidget::AspectRatio4_3
    {30, 15, 513},	// Phonon::VideoWidget::AspectRatioAuto
    {30, 16, 514},	// Phonon::VideoWidget::AspectRatioWidget
    {30, 65, 517},	// Phonon::VideoWidget::FitInView
    {30, 113, 518},	// Phonon::VideoWidget::ScaleAndCrop
    {30, 138, 511},	// Phonon::VideoWidget::VideoWidget
    {30, 139, 489},	// Phonon::VideoWidget::VideoWidget#
    {30, 140, 506},	// Phonon::VideoWidget::VideoWidget##
    {30, 150, 490},	// Phonon::VideoWidget::aspectRatio
    {30, 171, 492},	// Phonon::VideoWidget::brightness
    {30, 188, 493},	// Phonon::VideoWidget::contrast
    {30, 234, 499},	// Phonon::VideoWidget::enterFullScreen
    {30, 240, 508},	// Phonon::VideoWidget::event#
    {30, 242, 498},	// Phonon::VideoWidget::exitFullScreen
    {30, 266, 494},	// Phonon::VideoWidget::hue
    {30, 298, 482},	// Phonon::VideoWidget::metaObject
    {30, 310, 507},	// Phonon::VideoWidget::mouseMoveEvent#
    {30, 364, 488},	// Phonon::VideoWidget::qt_metacall$$?
    {30, 366, 483},	// Phonon::VideoWidget::qt_metacast$
    {30, 382, 495},	// Phonon::VideoWidget::saturation
    {30, 383, 491},	// Phonon::VideoWidget::scaleMode
    {30, 391, 500},	// Phonon::VideoWidget::setAspectRatio$
    {30, 399, 502},	// Phonon::VideoWidget::setBrightness$
    {30, 401, 503},	// Phonon::VideoWidget::setContrast$
    {30, 421, 497},	// Phonon::VideoWidget::setFullScreen$
    {30, 423, 504},	// Phonon::VideoWidget::setHue$
    {30, 453, 505},	// Phonon::VideoWidget::setSaturation$
    {30, 455, 501},	// Phonon::VideoWidget::setScaleMode$
    {30, 477, 496},	// Phonon::VideoWidget::snapshot
    {30, 482, 512},	// Phonon::VideoWidget::staticMetaObject
    {30, 503, 509},	// Phonon::VideoWidget::tr$
    {30, 504, 484},	// Phonon::VideoWidget::tr$$
    {30, 505, 486},	// Phonon::VideoWidget::tr$$$
    {30, 507, 510},	// Phonon::VideoWidget::trUtf8$
    {30, 508, 485},	// Phonon::VideoWidget::trUtf8$$
    {30, 509, 487},	// Phonon::VideoWidget::trUtf8$$$
    {30, 546, 519},	// Phonon::VideoWidget::~VideoWidget
    {32, 60, 544},	// Phonon::VolumeFaderEffect::Fade12Decibel
    {32, 61, 541},	// Phonon::VolumeFaderEffect::Fade3Decibel
    {32, 62, 542},	// Phonon::VolumeFaderEffect::Fade6Decibel
    {32, 63, 543},	// Phonon::VolumeFaderEffect::Fade9Decibel
    {32, 141, 539},	// Phonon::VolumeFaderEffect::VolumeFaderEffect
    {32, 142, 527},	// Phonon::VolumeFaderEffect::VolumeFaderEffect#
    {32, 243, 530},	// Phonon::VolumeFaderEffect::fadeCurve
    {32, 245, 531},	// Phonon::VolumeFaderEffect::fadeIn$
    {32, 247, 532},	// Phonon::VolumeFaderEffect::fadeOut$
    {32, 249, 536},	// Phonon::VolumeFaderEffect::fadeTo$$
    {32, 298, 520},	// Phonon::VolumeFaderEffect::metaObject
    {32, 364, 526},	// Phonon::VolumeFaderEffect::qt_metacall$$?
    {32, 366, 521},	// Phonon::VolumeFaderEffect::qt_metacast$
    {32, 419, 535},	// Phonon::VolumeFaderEffect::setFadeCurve$
    {32, 470, 533},	// Phonon::VolumeFaderEffect::setVolume$
    {32, 472, 534},	// Phonon::VolumeFaderEffect::setVolumeDecibel$
    {32, 482, 540},	// Phonon::VolumeFaderEffect::staticMetaObject
    {32, 503, 537},	// Phonon::VolumeFaderEffect::tr$
    {32, 504, 522},	// Phonon::VolumeFaderEffect::tr$$
    {32, 505, 524},	// Phonon::VolumeFaderEffect::tr$$$
    {32, 507, 538},	// Phonon::VolumeFaderEffect::trUtf8$
    {32, 508, 523},	// Phonon::VolumeFaderEffect::trUtf8$$
    {32, 509, 525},	// Phonon::VolumeFaderEffect::trUtf8$$$
    {32, 518, 528},	// Phonon::VolumeFaderEffect::volume
    {32, 521, 529},	// Phonon::VolumeFaderEffect::volumeDecibel
    {32, 547, 545},	// Phonon::VolumeFaderEffect::~VolumeFaderEffect
    {33, 143, 573},	// Phonon::VolumeSlider::VolumeSlider
    {33, 144, -39},	// Phonon::VolumeSlider::VolumeSlider#
    {33, 145, 554},	// Phonon::VolumeSlider::VolumeSlider##
    {33, 152, 565},	// Phonon::VolumeSlider::audioOutput
    {33, 260, 555},	// Phonon::VolumeSlider::hasTracking
    {33, 267, 562},	// Phonon::VolumeSlider::iconSize
    {33, 280, 561},	// Phonon::VolumeSlider::isMuteVisible
    {33, 293, 563},	// Phonon::VolumeSlider::maximumVolume
    {33, 298, 546},	// Phonon::VolumeSlider::metaObject
    {33, 337, 564},	// Phonon::VolumeSlider::orientation
    {33, 342, 557},	// Phonon::VolumeSlider::pageStep
    {33, 364, 552},	// Phonon::VolumeSlider::qt_metacall$$?
    {33, 366, 547},	// Phonon::VolumeSlider::qt_metacast$
    {33, 393, 570},	// Phonon::VolumeSlider::setAudioOutput#
    {33, 425, 569},	// Phonon::VolumeSlider::setIconSize#
    {33, 429, 566},	// Phonon::VolumeSlider::setMaximumVolume$
    {33, 435, 568},	// Phonon::VolumeSlider::setMuteVisible$
    {33, 441, 567},	// Phonon::VolumeSlider::setOrientation$
    {33, 445, 558},	// Phonon::VolumeSlider::setPageStep$
    {33, 457, 560},	// Phonon::VolumeSlider::setSingleStep$
    {33, 465, 556},	// Phonon::VolumeSlider::setTracking$
    {33, 474, 559},	// Phonon::VolumeSlider::singleStep
    {33, 482, 575},	// Phonon::VolumeSlider::staticMetaObject
    {33, 503, 571},	// Phonon::VolumeSlider::tr$
    {33, 504, 548},	// Phonon::VolumeSlider::tr$$
    {33, 505, 550},	// Phonon::VolumeSlider::tr$$$
    {33, 507, 572},	// Phonon::VolumeSlider::trUtf8$
    {33, 508, 549},	// Phonon::VolumeSlider::trUtf8$$
    {33, 509, 551},	// Phonon::VolumeSlider::trUtf8$$$
    {33, 548, 576},	// Phonon::VolumeSlider::~VolumeSlider
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *phonon_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_phonon_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    phonon_Smoke = new Smoke(
        "phonon",
        __smokephonon::classes, 74,
        __smokephonon::methods, 627,
        __smokephonon::methodMaps, 557,
        __smokephonon::methodNames, 548,
        __smokephonon::types, 265,
        __smokephonon::inheritanceList,
        __smokephonon::argumentList,
        __smokephonon::ambiguousMethodList,
        __smokephonon::cast );
    initialized = true;
}

void delete_phonon_Smoke() { delete phonon_Smoke; }

}
